openapi: 3.0.4
info:
  title: Gerencial Api
  description: "# API Gerencial\r\n\r\n        A API Gerencial foi desenvolvida para oferecer um controle abrangente e eficiente sobre diversos dados mestres e configurações essenciais para as operações e funções administrativas do sistema. Com ela, é possível gerenciar entidades como cargos, CNAEs, grupos empresariais, integrações, perfis de usuário, políticas fiscais, ramos de atividade, setores, tipos de empresas, pessoas jurídicas e regimes tributários. Esta API visa simplificar a administração de entidades de negócio centrais, garantindo a consistência e acessibilidade dos dados.\r\n\r\n        Simplificando a gestão de dados mestres e configurações com o poder e a flexibilidade de uma API de alta performance!\r\n\r\n        A seguir, detalhamos as principais funcionalidades oferecidas por cada um dos endpoints."
  contact:
    name: rgbtec
    email: support@rgbtec.com.br
  version: v1.0.0
servers:
  - url: http://rgbsys.dyndns.info/ger2025-gerencial-api-desenvolvimento
paths:
  /api/v1/gerencial/politicas/limites/{id}/empresas:
    get:
      tags:
        - Empresas
      summary: Listar empresas pela politica limite Id
      description: >-
        Lista todas as empresas cadastradas que tenham a politica limite Id
        filtrada.
      parameters:
        - name: id
          in: path
          description: Id da política de limite associada à empresa
          required: true
          schema:
            type: string
            default: null
        - name: pagina
          in: query
          description: Indica o número da página solicitada da empresa
          schema:
            type: integer
            format: int32
            default: null
        - name: registros
          in: query
          description: Indica a quantidade máxima de registros que devem ser retornados
          schema:
            type: integer
            format: int32
            default: 10
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/ListarEmpresasResponse'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                type: array
                items:
                  type: string
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                type: array
                items:
                  type: string
  /api/v1/gerencial/politicas/taxas/{id}/empresas:
    get:
      tags:
        - Empresas
      summary: Listar empresas pela politica taxa.
      description: >-
        Lista todas as empresas cadastradas que tenham a politica taxa do Id
        filtrado.
      parameters:
        - name: id
          in: path
          description: Id da política de taxa associada à empresa
          required: true
          schema:
            type: string
            default: null
        - name: pagina
          in: query
          description: Indica o número da página solicitada da empresa
          schema:
            type: integer
            format: int32
            default: null
        - name: registros
          in: query
          description: Indica a quantidade máxima de registros que devem ser retornados
          schema:
            type: integer
            format: int32
            default: 10
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/ListarEmpresasResponse'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                type: array
                items:
                  type: string
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                type: array
                items:
                  type: string
  /api/v1/gerencial/politicas/checagens/{id}/empresas:
    get:
      tags:
        - Empresas
      summary: Listar empresas pela politica checagem.
      description: >-
        Lista todas as empresas cadastradas que tenham a politica checagem do Id
        filtrado.
      parameters:
        - name: id
          in: path
          description: Id da política de checagem associada à empresa
          required: true
          schema:
            type: string
            default: null
        - name: pagina
          in: query
          description: Indica o número da página solicitada da empresa
          schema:
            type: integer
            format: int32
            default: null
        - name: registros
          in: query
          description: Indica a quantidade máxima de registros que devem ser retornados
          schema:
            type: integer
            format: int32
            default: 10
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/ListarEmpresasResponse'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                type: array
                items:
                  type: string
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                type: array
                items:
                  type: string
  /api/v1/gerencial/politicas/limites/{id}/sacados:
    get:
      tags:
        - Sacados
      summary: Listar sacados pela politica de limites
      description: Lista todos os sacados de um tenant específico pela politica de limites
      parameters:
        - name: id
          in: path
          description: Id da politica de limites
          required: true
          schema:
            type: string
            default: null
        - name: pagina
          in: query
          description: Número da páginação
          schema:
            type: integer
            format: int32
            default: null
        - name: quantidade
          in: query
          description: Quantidade de registros a serem retornados
          schema:
            type: integer
            format: int32
            default: 10
        - name: ordem
          in: query
          description: Indica se a ordenação da coluna nome será ascendete ou nao
          schema:
            type: boolean
            default: true
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/TenantSacadoRecuperarResponse'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                type: array
                items:
                  type: string
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                type: array
                items:
                  type: string
  /api/v1/gerencial/politicas/taxas/{id}/sacados:
    get:
      tags:
        - Sacados
      summary: Listar sacados pela politica de taxas
      description: Lista todos os sacados de um tenant específico pela politica de taxas
      parameters:
        - name: id
          in: path
          description: Id da politica de taxas
          required: true
          schema:
            type: string
            default: null
        - name: pagina
          in: query
          description: Número da páginação
          schema:
            type: integer
            format: int32
            default: null
        - name: quantidade
          in: query
          description: Quantidade de registros a serem retornados
          schema:
            type: integer
            format: int32
            default: 10
        - name: ordem
          in: query
          description: Indica se a ordenação da coluna nome será ascendete ou nao
          schema:
            type: boolean
            default: true
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/TenantSacadoRecuperarResponse'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                type: array
                items:
                  type: string
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                type: array
                items:
                  type: string
  /api/v1/gerencial/politicas/checagens/{id}/sacados:
    get:
      tags:
        - Sacados
      summary: Listar sacados pela politica de checagens
      description: >-
        Lista todos os sacados de um tenant específico pela politica de
        checagens
      parameters:
        - name: id
          in: path
          description: Id da politica de checagens
          required: true
          schema:
            type: string
            default: null
        - name: pagina
          in: query
          description: Número da páginação
          schema:
            type: integer
            format: int32
            default: null
        - name: quantidade
          in: query
          description: Quantidade de registros a serem retornados
          schema:
            type: integer
            format: int32
            default: 10
        - name: ordem
          in: query
          description: Indica se a ordenação da coluna nome será ascendete ou nao
          schema:
            type: boolean
            default: true
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/TenantSacadoRecuperarResponse'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                type: array
                items:
                  type: string
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                type: array
                items:
                  type: string
  /api/v1/gerencial/cargos:
    post:
      tags:
        - Cargos
      summary: Cadastrar um novo cargo
      description: Cadastra um novo cargo no sistema
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CargoCadastrarRequest'
          application/*+json:
            schema:
              $ref: '#/components/schemas/CargoCadastrarRequest'
        required: true
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CargoResponse'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                type: array
                items:
                  type: string
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                type: array
                items:
                  type: string
    get:
      tags:
        - Cargos
      summary: Listar todos os cargos do sistema
      description: Recupera todos os cargos com paginação
      parameters:
        - name: nome
          in: query
          description: Nome ou parte do nome do cargo
          schema:
            type: string
            default: null
        - name: ativo
          in: query
          description: Indica se deve recuperar apenas os cargos ativos
          schema:
            type: boolean
            default: null
        - name: usuarioIds
          in: query
          description: Ids dos usuários vinculados ao cargo
          schema:
            type: array
            items:
              type: string
            default: null
        - name: pagina
          in: query
          description: Indica o número da página solicitada
          schema:
            type: integer
            format: int32
            default: null
        - name: registros
          in: query
          description: Indica a quantidade máxima de registros que devem ser retornadas
          schema:
            type: integer
            format: int32
            default: 10
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/CargoResponse'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                type: array
                items:
                  type: string
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                type: array
                items:
                  type: string
  /api/v1/gerencial/cargos/{id}:
    put:
      tags:
        - Cargos
      summary: Alterar dados do cargo
      description: Alteração dos dados do cargo pelo Id
      parameters:
        - name: id
          in: path
          description: Id do cargo
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CargoAlterarRequest'
          application/*+json:
            schema:
              $ref: '#/components/schemas/CargoAlterarRequest'
        required: true
      responses:
        '200':
          description: OK
        '400':
          description: Bad Request
          content:
            text/plain:
              schema:
                type: array
                items:
                  type: string
            application/json:
              schema:
                type: array
                items:
                  type: string
            text/json:
              schema:
                type: array
                items:
                  type: string
        '401':
          description: Unauthorized
          content:
            text/plain:
              schema:
                type: array
                items:
                  type: string
            application/json:
              schema:
                type: array
                items:
                  type: string
            text/json:
              schema:
                type: array
                items:
                  type: string
        '404':
          description: Not Found
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
            text/json:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
    get:
      tags:
        - Cargos
      summary: Recupera o cargo por id
      description: Recupera um cargo específico pelo Id
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CargoResponse'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                type: array
                items:
                  type: string
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                type: array
                items:
                  type: string
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
    delete:
      tags:
        - Cargos
      summary: Recupera o cargo por id
      description: Recupera um cargo específico pelo Id
      parameters:
        - name: id
          in: path
          description: Id do cargo a ser excluido
          required: true
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json: {}
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                type: array
                items:
                  type: string
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                type: array
                items:
                  type: string
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
  /api/v1/gerencial/cargos/ativos:
    get:
      tags:
        - Cargos
      summary: Listar todos os cargos ativos
      description: Recupera todos os cargos ativos do sistema
      parameters:
        - name: nome
          in: query
          description: Nome ou parte do nome do cargo
          schema:
            type: string
            default: null
        - name: pagina
          in: query
          description: Indica o número da página solicitada
          schema:
            type: integer
            format: int32
            default: null
        - name: registros
          in: query
          description: Indica a quantidade máxima de registros que devem ser retornadas
          schema:
            type: integer
            format: int32
            default: 10
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/CargoAtivosResponse'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                type: array
                items:
                  type: string
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                type: array
                items:
                  type: string
  /api/v1/gerencial/feriados:
    post:
      tags:
        - Feriados
      summary: Cadastrar um novo feriado
      description: Cadastra um novo feriado na base de dados.
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/FeriadoCadastrarRequest'
          application/*+json:
            schema:
              $ref: '#/components/schemas/FeriadoCadastrarRequest'
        required: true
      responses:
        '200':
          description: OK
          content:
            aplication/json:
              schema:
                $ref: '#/components/schemas/FeriadoCadastrarResponse'
        '400':
          description: Bad Request
          content:
            text/plain:
              schema:
                type: array
                items:
                  type: string
            application/json:
              schema:
                type: array
                items:
                  type: string
            text/json:
              schema:
                type: array
                items:
                  type: string
        '401':
          description: Unauthorized
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
            text/json:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
    get:
      tags:
        - Feriados
      summary: Listar feriados
      description: Listar feriados da base de dados.
      parameters:
        - name: dataInicio
          in: query
          description: Data inicial
          schema:
            type: string
            format: date-time
        - name: dataFim
          in: query
          description: Data final
          schema:
            type: string
            format: date-time
        - name: nome
          in: query
          description: Nome ou parte do nome do feriado
          schema:
            type: string
        - name: uf
          in: query
          description: Sigla do estado
          schema:
            type: string
        - name: municipioId
          in: query
          description: Código IBGE do município
          schema:
            type: integer
            format: int32
        - name: pagina
          in: query
          description: Indica o númer da página solicitada
          schema:
            type: integer
            format: int32
        - name: registros
          in: query
          description: Indica a quantidade máxima de registros que devem ser retornadas
          schema:
            type: integer
            format: int32
        - name: recorrente
          in: query
          description: Indica se o feriado é recorrente ou não
          schema:
            type: boolean
      responses:
        '200':
          description: OK
          content:
            aplication/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/FeriadoListarResponse'
            application/json: {}
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                type: array
                items:
                  type: string
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
  /api/v1/gerencial/feriados/ativos:
    get:
      tags:
        - Feriados
      summary: Listar feriados ativos
      description: Listar feriados ativos da base de dados.
      parameters:
        - name: dataBase
          in: query
          description: Data base
          schema:
            type: string
            format: date-time
        - name: dataInicio
          in: query
          description: Data inicial
          schema:
            type: string
            format: date-time
        - name: dataFim
          in: query
          description: Data final
          schema:
            type: string
            format: date-time
        - name: uf
          in: query
          description: Sigla do estado
          schema:
            type: string
        - name: municipioId
          in: query
          description: Código IBGE do município
          schema:
            type: integer
            format: int32
      responses:
        '200':
          description: OK
          content:
            aplication/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/FeriadoListarResponse'
            application/json: {}
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                type: array
                items:
                  type: string
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
  /api/v1/gerencial/feriados/{id}:
    get:
      tags:
        - Feriados
      summary: Recuperar feriado por id.
      description: Recuperar feriado por id.
      parameters:
        - name: id
          in: path
          description: Identificador único do feriado
          required: true
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            aplication/json:
              schema:
                $ref: '#/components/schemas/FeriadoRecuperarIdResponse'
            application/json: {}
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                type: array
                items:
                  type: string
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
    put:
      tags:
        - Feriados
      summary: Alterar um feriado
      description: Alterar feriado da base de dados
      parameters:
        - name: id
          in: path
          description: Identificador único do feriado
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/FeriadoAlterarRequest'
          application/*+json:
            schema:
              $ref: '#/components/schemas/FeriadoAlterarRequest'
        required: true
      responses:
        '200':
          description: OK
        '400':
          description: Bad Request
          content:
            text/plain:
              schema:
                type: array
                items:
                  type: string
            application/json:
              schema:
                type: array
                items:
                  type: string
            text/json:
              schema:
                type: array
                items:
                  type: string
        '401':
          description: Unauthorized
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
            text/json:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
  /api/v1/gerencial/grupos-empresariais:
    post:
      tags:
        - Grupos Empresariais
      summary: Cadastrar um novo grupo empresarial
      description: Grupo empresarial cadastrado com sucesso
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CadastrarRequest'
          text/json:
            schema:
              $ref: '#/components/schemas/CadastrarRequest'
          application/*+json:
            schema:
              $ref: '#/components/schemas/CadastrarRequest'
        required: true
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CadastrarResponse'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                type: array
                items:
                  type: string
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                type: array
                items:
                  type: string
    get:
      tags:
        - Grupos Empresariais
      summary: Listar os grupos empresariais de um tenant
      description: Recuperado com sucesso
      parameters:
        - name: id
          in: query
          description: Id do grupo empresarial
          schema:
            type: string
        - name: cedenteId
          in: query
          description: Id do cedente
          schema:
            type: string
        - name: sacadoId
          in: query
          description: Id do sacado
          schema:
            type: string
        - name: nome
          in: query
          description: Nome ou apelido ou parte do nome ou apelido do grupo empresarial
          schema:
            type: string
            default: null
        - name: politicaLimiteId
          in: query
          description: Id da política de limite
          schema:
            type: string
            default: null
        - name: politicaTaxaId
          in: query
          description: Id da política de taxa
          schema:
            type: string
            default: null
        - name: politicaChecagemId
          in: query
          description: Id da política de checagem
          schema:
            type: string
            default: null
        - name: pagina
          in: query
          description: Indica o número da página solicitada
          schema:
            type: integer
            format: int32
            default: null
        - name: registros
          in: query
          description: Indica a quantidade máxima de registros que devem ser retornadas
          schema:
            type: integer
            format: int32
            default: null
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/RecuperarResponse'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                type: array
                items:
                  type: string
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                type: array
                items:
                  type: string
    patch:
      tags:
        - Grupos Empresariais
      summary: Associar um cedente ou sacado à um grupo empresarial pela raiz do Cnpj
      description: Associado com sucesso
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/GrupoEmpresarialAssociarRequest'
          text/json:
            schema:
              $ref: '#/components/schemas/GrupoEmpresarialAssociarRequest'
          application/*+json:
            schema:
              $ref: '#/components/schemas/GrupoEmpresarialAssociarRequest'
        required: true
      responses:
        '200':
          description: OK
          content:
            application/json: {}
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                type: array
                items:
                  type: string
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                type: array
                items:
                  type: string
  /api/v1/gerencial/grupos-empresariais/{id}:
    put:
      tags:
        - Grupos Empresariais
      summary: Alterar um grupo empresarial
      description: Grupo empresarial alterado com sucesso
      parameters:
        - name: id
          in: path
          description: Id do grupo empresarial
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/AlterarRequest'
          text/json:
            schema:
              $ref: '#/components/schemas/AlterarRequest'
          application/*+json:
            schema:
              $ref: '#/components/schemas/AlterarRequest'
        required: true
      responses:
        '200':
          description: OK
          content:
            application/json: {}
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                type: array
                items:
                  type: string
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                type: array
                items:
                  type: string
    delete:
      tags:
        - Grupos Empresariais
      summary: Deletar um grupo empresarial
      description: Grupo empresarial deletado com sucesso
      parameters:
        - name: id
          in: path
          description: Id do grupo empresarial
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ExcluirRequest'
          text/json:
            schema:
              $ref: '#/components/schemas/ExcluirRequest'
          application/*+json:
            schema:
              $ref: '#/components/schemas/ExcluirRequest'
        required: true
      responses:
        '200':
          description: OK
          content:
            application/json: {}
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                type: array
                items:
                  type: string
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                type: array
                items:
                  type: string
    get:
      tags:
        - Grupos Empresariais
      summary: Recuperar um grupo empresarial de um tenant
      description: Grupo empresarial recuperado com sucesso
      parameters:
        - name: id
          in: path
          description: Id do grupo empresarial
          required: true
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RecuperarPorIdResponse'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                type: array
                items:
                  type: string
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                type: array
                items:
                  type: string
  /api/v1/gerencial/grupos-empresariais/buscar-por-raiz-cnpj/{raizcnpj}:
    get:
      tags:
        - Grupos Empresariais
      summary: Recuperar um grupo empresarial por uma raiz de cnpj
      description: Grupo empresarial recuperado com sucesso
      parameters:
        - name: raizCnpj
          in: path
          description: Raiz do cnpj de uma pessoa juridica
          required: true
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/GrupoEmpresarialRecuperarPorRaizCnpjResponse
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                type: array
                items:
                  type: string
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                type: array
                items:
                  type: string
  /api/v1/gerencial/politicas/limites/{id}/grupos-empresariais:
    get:
      tags:
        - Grupos Empresariais
      summary: Listar os grupos empresariais de um tenant
      description: Recuperado com sucesso
      parameters:
        - name: id
          in: path
          description: Id da política de limite
          required: true
          schema:
            type: string
            default: null
        - name: pagina
          in: query
          description: Indica o número da página solicitada
          schema:
            type: integer
            format: int32
            default: null
        - name: registros
          in: query
          description: Indica a quantidade máxima de registros que devem ser retornadas
          schema:
            type: integer
            format: int32
            default: null
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/RecuperarResponse'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                type: array
                items:
                  type: string
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                type: array
                items:
                  type: string
  /api/v1/gerencial/politicas/taxas/{id}/grupos-empresariais:
    get:
      tags:
        - Grupos Empresariais
      summary: Listar os grupos empresariais de um tenant
      description: Recuperado com sucesso
      parameters:
        - name: id
          in: path
          description: Id da política de taxa
          required: true
          schema:
            type: string
            default: null
        - name: pagina
          in: query
          description: Indica o número da página solicitada
          schema:
            type: integer
            format: int32
            default: null
        - name: registros
          in: query
          description: Indica a quantidade máxima de registros que devem ser retornadas
          schema:
            type: integer
            format: int32
            default: null
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/RecuperarResponse'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                type: array
                items:
                  type: string
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                type: array
                items:
                  type: string
  /api/v1/gerencial/politicas/checagens/{id}/grupos-empresariais:
    get:
      tags:
        - Grupos Empresariais
      summary: Listar os grupos empresariais de um tenant
      description: Recuperado com sucesso
      parameters:
        - name: id
          in: path
          description: Id da política de checagens
          required: true
          schema:
            type: string
            default: null
        - name: pagina
          in: query
          description: Indica o número da página solicitada
          schema:
            type: integer
            format: int32
            default: null
        - name: registros
          in: query
          description: Indica a quantidade máxima de registros que devem ser retornadas
          schema:
            type: integer
            format: int32
            default: null
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/RecuperarResponse'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                type: array
                items:
                  type: string
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                type: array
                items:
                  type: string
  /api/v1/gerencial/grupos-empresariais/ativos:
    get:
      tags:
        - Grupos Empresariais
      summary: Listar os grupos empresariais ativos de um tenant
      description: Recuperado com sucesso
      parameters:
        - name: nome
          in: query
          description: Nome ou apelido ou parte do nome ou apelido do grupo empresarial
          schema:
            type: string
            default: null
        - name: pagina
          in: query
          description: Indica o número da página solicitada
          schema:
            type: integer
            format: int32
            default: null
        - name: registros
          in: query
          description: Indica a quantidade máxima de registros que devem ser retornadas
          schema:
            type: integer
            format: int32
            default: null
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/RecuperarAtivosResponse'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                type: array
                items:
                  type: string
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                type: array
                items:
                  type: string
  /api/v1/gerencial/grupos-empresariais/desassociar:
    patch:
      tags:
        - Grupos Empresariais
      summary: Desassociar um cedente ou sacado à um grupo empresarial
      description: Desassociado com sucesso
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/GrupoEmpresarialDesassociarTudoRequest'
          text/json:
            schema:
              $ref: '#/components/schemas/GrupoEmpresarialDesassociarTudoRequest'
          application/*+json:
            schema:
              $ref: '#/components/schemas/GrupoEmpresarialDesassociarTudoRequest'
        required: true
      responses:
        '200':
          description: OK
          content:
            application/json: {}
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                type: array
                items:
                  type: string
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                type: array
                items:
                  type: string
  /api/v1/gerencial/perfis:
    post:
      tags:
        - Perfis
      summary: Cadastrar os perfis no sistema
      description: Perfil cadastrado com sucesso
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/PerfilCadastrarRequest'
          text/json:
            schema:
              $ref: '#/components/schemas/PerfilCadastrarRequest'
          application/*+json:
            schema:
              $ref: '#/components/schemas/PerfilCadastrarRequest'
        required: true
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PerfilResponse'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                type: array
                items:
                  type: string
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                type: array
                items:
                  type: string
    get:
      tags:
        - Perfis
      summary: Listar todos os perfis do sistema
      description: Perfis listados com sucesso
      parameters:
        - name: nome
          in: query
          description: Nome ou parte do perfil
          schema:
            type: string
            default: null
        - name: nivel
          in: query
          description: Nível do perfil
          schema:
            type: integer
            format: int32
            default: null
        - name: tipoPessoaFisica
          in: query
          description: Tipo de pessoa física
          schema:
            type: string
            default: null
        - name: pagina
          in: query
          description: Indica o número da página solicitada
          schema:
            type: integer
            format: int32
            default: null
        - name: registros
          in: query
          description: Indica a quantidade máxima de registros que devem ser retornadas
          schema:
            type: integer
            format: int32
            default: 10
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/PerfilResponse'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                type: array
                items:
                  type: string
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                type: array
                items:
                  type: string
  /api/v1/gerencial/perfis/{id}:
    put:
      tags:
        - Perfis
      summary: Alterar os perfis do sistema
      description: Perfil alterado com sucesso
      parameters:
        - name: id
          in: path
          description: Id do perfil
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/PerfilAlterarRequest'
          text/json:
            schema:
              $ref: '#/components/schemas/PerfilAlterarRequest'
          application/*+json:
            schema:
              $ref: '#/components/schemas/PerfilAlterarRequest'
        required: true
      responses:
        '200':
          description: OK
          content:
            application/json: {}
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                type: array
                items:
                  type: string
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                type: array
                items:
                  type: string
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
    get:
      tags:
        - Perfis
      summary: Recuperar o perfil por id
      description: Perfil listado com sucesso
      parameters:
        - name: id
          in: path
          description: Id do perfil
          required: true
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PerfilPorIdResponse'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                type: array
                items:
                  type: string
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                type: array
                items:
                  type: string
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
    delete:
      tags:
        - Perfis
      summary: Excluir os perfis do sistema
      description: Perfil excluído com sucesso
      parameters:
        - name: id
          in: path
          description: Id do perfil
          required: true
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json: {}
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                type: array
                items:
                  type: string
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                type: array
                items:
                  type: string
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
  /api/v1/gerencial/perfis/ativos:
    get:
      tags:
        - Perfis
      summary: Listar todos os perfis ativos do sistema
      description: Perfis ativos listados com sucesso
      parameters:
        - name: nome
          in: query
          description: Nome ou parte do perfil
          schema:
            type: string
            default: null
        - name: nivel
          in: query
          description: Nível do perfil
          schema:
            type: integer
            format: int32
            default: null
        - name: tipoPessoaFisica
          in: query
          description: Tipo de pessoa física
          schema:
            type: string
            default: null
        - name: pagina
          in: query
          description: Indica o número da página solicitada
          schema:
            type: integer
            format: int32
            default: null
        - name: registros
          in: query
          description: Indica a quantidade máxima de registros que devem ser retornadas
          schema:
            type: integer
            format: int32
            default: 10
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/PerfilAtivosResponse'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                type: array
                items:
                  type: string
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                type: array
                items:
                  type: string
  /api/v1/gerencial/politicas/checagens:
    post:
      tags:
        - Politicas Checagens
      summary: Cadastrar uma política de checagem no tenant
      description: Cadastra uma política de checagem no tenant
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/PoliticaChecagemCadastrarRequest'
          text/json:
            schema:
              $ref: '#/components/schemas/PoliticaChecagemCadastrarRequest'
          application/*+json:
            schema:
              $ref: '#/components/schemas/PoliticaChecagemCadastrarRequest'
        required: true
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/IdResponse'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                type: array
                items:
                  type: string
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                type: array
                items:
                  type: string
    get:
      tags:
        - Politicas Checagens
      summary: Listar as políticas de checagem do tenant
      description: Retorna uma lista paginada de políticas de checagem
      parameters:
        - name: nome
          in: query
          description: Nome ou parte do nome da política de checagem
          schema:
            type: string
            default: null
        - name: empresaIds
          in: query
          description: Array de ids das empresas associadas a política de checagem
          schema:
            type: array
            items:
              type: string
            default: null
        - name: grupoEmpresarialIds
          in: query
          description: >-
            Array de ids dos grupos empresariais associados a política de
            checagem
          schema:
            type: array
            items:
              type: string
            default: null
        - name: cedenteIds
          in: query
          description: Array de ids dos cedentes associados a política de checagem
          schema:
            type: array
            items:
              type: string
            default: null
        - name: sacadoIds
          in: query
          description: Array de ids dos sacados associados a política de checagem
          schema:
            type: array
            items:
              type: string
            default: null
        - name: tiposOperacao
          in: query
          description: Tipos de operação associados a política de checagem
          schema:
            type: string
            default: null
        - name: tiposAtivo
          in: query
          description: Tipos de ativo associados a política de checagem
          schema:
            type: string
            default: null
        - name: ativo
          in: query
          description: Indica se a política de checagens está ativo ou não
          schema:
            type: boolean
            default: null
        - name: revisaoInicial
          in: query
          description: Data de revisão inicial da política de checagem
          schema:
            type: string
            format: date-time
            default: null
        - name: revisaoFinal
          in: query
          description: Data de revisão final da política de checagem
          schema:
            type: string
            format: date-time
            default: null
        - name: pagina
          in: query
          description: Indica o número da página solicitada
          schema:
            type: integer
            format: int32
            default: null
        - name: registros
          in: query
          description: Indica a quantidade máxima de registros que devem ser retornadas
          schema:
            type: integer
            format: int32
            default: null
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/PoliticaChecagemRecuperarResponse'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                type: array
                items:
                  type: string
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                type: array
                items:
                  type: string
  /api/v1/gerencial/politicas/checagens/{id}:
    put:
      tags:
        - Politicas Checagens
      summary: Alterar uma política de checagem no tenant
      description: Atualiza política de checagem no tenant
      parameters:
        - name: id
          in: path
          description: Id da politica checagem
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/PoliticaChecagemAlterarRequest'
          text/json:
            schema:
              $ref: '#/components/schemas/PoliticaChecagemAlterarRequest'
          application/*+json:
            schema:
              $ref: '#/components/schemas/PoliticaChecagemAlterarRequest'
        required: true
      responses:
        '200':
          description: OK
          content:
            application/json: {}
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                type: array
                items:
                  type: string
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                type: array
                items:
                  type: string
    get:
      tags:
        - Politicas Checagens
      summary: Recuperar política de checagem por id
      description: Retorna uma política de checagem por id
      parameters:
        - name: id
          in: path
          description: Id da política de checagem
          required: true
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PoliticaChecagemRecuperarPorIdResponse'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                type: array
                items:
                  type: string
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                type: array
                items:
                  type: string
    delete:
      tags:
        - Politicas Checagens
      summary: Excluir política de checagem
      description: Exclui uma política de checagem
      parameters:
        - name: id
          in: path
          description: Id da política de checagem
          required: true
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json: {}
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                type: array
                items:
                  type: string
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                type: array
                items:
                  type: string
  /api/v1/empresas/{id}/politicas/checagens:
    get:
      tags:
        - Politicas Checagens
      summary: Listar as políticas de checagem da empresa
      description: Retorna uma lista paginada de políticas de checagem da empresa
      parameters:
        - name: id
          in: path
          description: Id da empresa associado a política de checagem
          required: true
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/PoliticaChecagemRecuperarResponse'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                type: array
                items:
                  type: string
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                type: array
                items:
                  type: string
  /api/v1/cedentes/{id}/politicas/checagens:
    get:
      tags:
        - Politicas Checagens
      summary: Listar as políticas de checagem do cedente
      description: Retorna uma lista paginada de políticas de checagem do cedente
      parameters:
        - name: id
          in: path
          description: Id do cedente associado a política de checagem
          required: true
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/PoliticaChecagemRecuperarResponse'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                type: array
                items:
                  type: string
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                type: array
                items:
                  type: string
  /api/v1/sacados/{id}/politicas/checagens:
    get:
      tags:
        - Politicas Checagens
      summary: Listar as políticas de checagem do sacados
      description: Retorna uma lista paginada de políticas de checagem do sacados
      parameters:
        - name: id
          in: path
          description: Id do sacados associado a política de checagem
          required: true
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/PoliticaChecagemRecuperarResponse'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                type: array
                items:
                  type: string
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                type: array
                items:
                  type: string
  /api/v1/gerencial/grupos-empresariais/{id}/politicas/checagens:
    get:
      tags:
        - Politicas Checagens
      summary: Listar as políticas de checagem do grupo empresarial
      description: Retorna uma lista paginada de políticas de checagem do grupo empresarial
      parameters:
        - name: id
          in: path
          description: Id do grupo empresarial associado a política de checagem
          required: true
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/PoliticaChecagemRecuperarResponse'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                type: array
                items:
                  type: string
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                type: array
                items:
                  type: string
  /api/v1/gerencial/politicas/checagens/ativos:
    get:
      tags:
        - Politicas Checagens
      summary: Listar as políticas de checagem ativas do tenant
      description: Retorna uma lista paginada de políticas de checagem ativas
      parameters:
        - name: nome
          in: query
          description: Nome ou parte do nome da política de checagem
          schema:
            type: string
            default: null
        - name: pagina
          in: query
          description: Indica o número da página solicitada
          schema:
            type: integer
            format: int32
            default: null
        - name: registros
          in: query
          description: Indica a quantidade máxima de registros que devem ser retornadas
          schema:
            type: integer
            format: int32
            default: null
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/PoliticaChecagemRecuperarAtivoResponse'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                type: array
                items:
                  type: string
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                type: array
                items:
                  type: string
  /api/v1/gerencial/politicas/checagens/{id}/associacoes:
    get:
      tags:
        - Politicas Checagens
      summary: >-
        Recuperar os primeiros 10 nomes das empresas, dos grupos empresariais,
        dos cedentes e dos sacados associados a política de checagem no tenant.
      description: >-
        Retorna os primeiros 10 nomes das empresas, dos grupos empresariais, dos
        cedentes e dos sacados associados a política de checagem
      parameters:
        - name: id
          in: path
          description: Id da política de checagem
          required: true
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/PoliticaChecagemRecuperarAssociacaoResponse
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                type: array
                items:
                  type: string
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                type: array
                items:
                  type: string
  /api/v1/gerencial/politicas/comissoes-agentes:
    post:
      tags:
        - Politicas Comissoes Agentes
      summary: Cadastrar uma nova política de comissão de agente
      description: >-
        Cria uma nova política de comissão com configurações de cálculo,
        fórmulas personalizadas ou faixas de taxa, e vincula aos agentes
        especificados
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CadastrarRequest2'
          text/json:
            schema:
              $ref: '#/components/schemas/CadastrarRequest2'
          application/*+json:
            schema:
              $ref: '#/components/schemas/CadastrarRequest2'
        required: true
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CadastrarResponse2'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                type: array
                items:
                  type: string
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                type: array
                items:
                  type: string
    get:
      tags:
        - Politicas Comissoes Agentes
      summary: Listar as políticas de comissão de agente do tenant
      description: >-
        Retorna uma lista paginada de políticas de comissão com filtros
        opcionais por nome, agente e status
      parameters:
        - name: agente
          in: query
          description: Nome ou parte do nome ou apelido do agente
          schema:
            type: string
            default: null
        - name: agenteId
          in: query
          description: Id do agente
          schema:
            type: string
            default: null
        - name: status
          in: query
          description: Ativo ou inativo
          schema:
            type: boolean
            default: null
        - name: nome
          in: query
          description: Nome ou parte do nome ou apelido do agente
          schema:
            type: string
            default: null
        - name: pagina
          in: query
          description: Indica o número da página solicitada
          schema:
            type: integer
            format: int32
            default: null
        - name: registros
          in: query
          description: Indica a quantidade máxima de registros que devem ser retornadas
          schema:
            type: integer
            format: int32
            default: null
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/PoliticaComissaoAgenteResponse'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                type: array
                items:
                  type: string
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                type: array
                items:
                  type: string
  /api/v1/gerencial/politicas/comissoes-agentes/{id}:
    put:
      tags:
        - Politicas Comissoes Agentes
      summary: Alterar uma política de comissão de agente
      description: >-
        Atualiza os dados de uma política de comissão existente, incluindo nome,
        tipo de cálculo, fórmula e agentes vinculados
      parameters:
        - name: id
          in: path
          description: Id da politica de comissao de agentes
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/AlterarRequest2'
          text/json:
            schema:
              $ref: '#/components/schemas/AlterarRequest2'
          application/*+json:
            schema:
              $ref: '#/components/schemas/AlterarRequest2'
        required: true
      responses:
        '200':
          description: OK
          content:
            application/json: {}
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                type: array
                items:
                  type: string
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                type: array
                items:
                  type: string
    get:
      tags:
        - Politicas Comissoes Agentes
      summary: Recuperar os dados de uma políticas de comissão de agente no tenant
      description: >-
        Retorna os dados detalhados de uma política de comissão específica,
        incluindo configurações de cálculo e agentes vinculados
      parameters:
        - name: id
          in: path
          description: Id da política de comissão do agente
          required: true
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PoliticaComissaoAgentePorIdResponse'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                type: array
                items:
                  type: string
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                type: array
                items:
                  type: string
    delete:
      tags:
        - Politicas Comissoes Agentes
      summary: Exclui uma políticas de comissão de agente no tenant
      description: >-
        Exclui uma política de comissão específica, incluindo suas configurações
        de cálculo e agentes vinculados
      parameters:
        - name: id
          in: path
          description: Id da política de comissão do agente
          required: true
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json: {}
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                type: array
                items:
                  type: string
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                type: array
                items:
                  type: string
  /api/v1/gerencial/politicas/comissoes-agentes/ativos:
    get:
      tags:
        - Politicas Comissoes Agentes
      summary: Listar políticas de comissão de agente ativos de um tenant
      description: >-
        Retorna apenas as políticas de comissão que estão ativas no tenant, com
        opção de filtro por nome e paginação
      parameters:
        - name: nome
          in: query
          description: Nome ou parte do nome da política de comissão do agente
          schema:
            type: string
            default: null
        - name: pagina
          in: query
          description: Indica o número da página solicitada
          schema:
            type: integer
            format: int32
            default: null
        - name: registros
          in: query
          description: Indica a quantidade máxima de registros que devem ser retornadas
          schema:
            type: integer
            format: int32
            default: null
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/PoliticaComissaoAgenteAtivosResponse'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                type: array
                items:
                  type: string
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                type: array
                items:
                  type: string
  /api/v1/gerencial/politicas/limites/{id}/associar:
    patch:
      tags:
        - Politicas
      summary: >-
        Associar uma política de limite, taxa, tarifa ou checagem à empresa,
        grupo empresarial, cedente ou sacado de um tenant
      description: >-
        Associa uma política de limite, taxa, tarifa ou checagem à empresa,
        grupo empresarial, cedente ou sacado de um tenant
      parameters:
        - name: id
          in: path
          description: Id da limite
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/PoliticaAssociarRequest'
          text/json:
            schema:
              $ref: '#/components/schemas/PoliticaAssociarRequest'
          application/*+json:
            schema:
              $ref: '#/components/schemas/PoliticaAssociarRequest'
        required: true
      responses:
        '200':
          description: OK
          content:
            application/json: {}
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                type: array
                items:
                  type: string
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                type: array
                items:
                  type: string
  /api/v1/gerencial/politicas/taxas/{id}/associar:
    patch:
      tags:
        - Politicas
      summary: >-
        Associar uma política de limite, taxa, tarifa ou checagem à empresa,
        grupo empresarial, cedente ou sacado de um tenant
      description: >-
        Associa uma política de limite, taxa, tarifa ou checagem à empresa,
        grupo empresarial, cedente ou sacado de um tenant
      parameters:
        - name: id
          in: path
          description: Id da limite
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/PoliticaAssociarRequest'
          text/json:
            schema:
              $ref: '#/components/schemas/PoliticaAssociarRequest'
          application/*+json:
            schema:
              $ref: '#/components/schemas/PoliticaAssociarRequest'
        required: true
      responses:
        '200':
          description: OK
          content:
            application/json: {}
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                type: array
                items:
                  type: string
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                type: array
                items:
                  type: string
  /api/v1/gerencial/politicas/tarifas/{id}/associar:
    patch:
      tags:
        - Politicas
      summary: >-
        Associar uma política de limite, taxa, tarifa ou checagem à empresa,
        grupo empresarial, cedente ou sacado de um tenant
      description: >-
        Associa uma política de limite, taxa, tarifa ou checagem à empresa,
        grupo empresarial, cedente ou sacado de um tenant
      parameters:
        - name: id
          in: path
          description: Id da limite
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/PoliticaAssociarRequest'
          text/json:
            schema:
              $ref: '#/components/schemas/PoliticaAssociarRequest'
          application/*+json:
            schema:
              $ref: '#/components/schemas/PoliticaAssociarRequest'
        required: true
      responses:
        '200':
          description: OK
          content:
            application/json: {}
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                type: array
                items:
                  type: string
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                type: array
                items:
                  type: string
  /api/v1/gerencial/politicas/checagens/{id}/associar:
    patch:
      tags:
        - Politicas
      summary: >-
        Associar uma política de limite, taxa, tarifa ou checagem à empresa,
        grupo empresarial, cedente ou sacado de um tenant
      description: >-
        Associa uma política de limite, taxa, tarifa ou checagem à empresa,
        grupo empresarial, cedente ou sacado de um tenant
      parameters:
        - name: id
          in: path
          description: Id da limite
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/PoliticaAssociarRequest'
          text/json:
            schema:
              $ref: '#/components/schemas/PoliticaAssociarRequest'
          application/*+json:
            schema:
              $ref: '#/components/schemas/PoliticaAssociarRequest'
        required: true
      responses:
        '200':
          description: OK
          content:
            application/json: {}
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                type: array
                items:
                  type: string
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                type: array
                items:
                  type: string
  /api/v1/gerencial/politicas/desassociar:
    patch:
      tags:
        - Politicas
      summary: >-
        Desassociar política de limite, taxa e checagem à empresa, grupo
        empresarial, cedente ou sacado de um tenant
      description: >-
        Desassociar política de limite, taxa e checagem à empresa, grupo
        empresarial, cedente ou sacado de um tenant
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/PoliticaDesassociarTudoRequest'
          text/json:
            schema:
              $ref: '#/components/schemas/PoliticaDesassociarTudoRequest'
          application/*+json:
            schema:
              $ref: '#/components/schemas/PoliticaDesassociarTudoRequest'
        required: true
      responses:
        '200':
          description: OK
          content:
            application/json: {}
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                type: array
                items:
                  type: string
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                type: array
                items:
                  type: string
  /api/v1/gerencial/politicas/limites:
    post:
      tags:
        - Politicas Limites
      summary: Cadastrar uma política de limite no tenant
      description: Cadastra uma política de limite no tenant
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/PoliticaLimiteCadastrarRequest'
          text/json:
            schema:
              $ref: '#/components/schemas/PoliticaLimiteCadastrarRequest'
          application/*+json:
            schema:
              $ref: '#/components/schemas/PoliticaLimiteCadastrarRequest'
        required: true
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/IdResponse'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                type: array
                items:
                  type: string
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                type: array
                items:
                  type: string
    get:
      tags:
        - Politicas Limites
      summary: Listar as políticas de limite do tenant
      description: Retorna uma lista paginada de políticas de limite
      parameters:
        - name: nome
          in: query
          description: Nome ou parte do nome da política de limite
          schema:
            type: string
            default: null
        - name: empresaIds
          in: query
          description: Array de ids das empresas associadas a política de limite
          schema:
            type: array
            items:
              type: string
            default: null
        - name: grupoEmpresarialIds
          in: query
          description: Array de ids dos grupos empresariais associados a política de limite
          schema:
            type: array
            items:
              type: string
            default: null
        - name: cedenteIds
          in: query
          description: Array de ids dos cedentes associados a política de limite
          schema:
            type: array
            items:
              type: string
            default: null
        - name: sacadoIds
          in: query
          description: Array de ids dos sacados associados a política de limite
          schema:
            type: array
            items:
              type: string
            default: null
        - name: tiposOperacao
          in: query
          description: Tipos de operação associados a política de limite
          schema:
            type: string
            default: null
        - name: tiposAtivo
          in: query
          description: Tipos de ativo associados a política de limite
          schema:
            type: string
            default: null
        - name: ativo
          in: query
          description: Indica se a política de limites está ativo ou não
          schema:
            type: boolean
            default: null
        - name: revisaoInicial
          in: query
          description: Data de revisão inicial da política de limite
          schema:
            type: string
            format: date-time
            default: null
        - name: revisaoFinal
          in: query
          description: Data de revisão final da política de limite
          schema:
            type: string
            format: date-time
            default: null
        - name: pagina
          in: query
          description: Indica o número da página solicitada
          schema:
            type: integer
            format: int32
            default: null
        - name: registros
          in: query
          description: Indica a quantidade máxima de registros que devem ser retornadas
          schema:
            type: integer
            format: int32
            default: null
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/PoliticaLimiteRecuperarResponse'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                type: array
                items:
                  type: string
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                type: array
                items:
                  type: string
  /api/v1/gerencial/politicas/limites/{id}:
    put:
      tags:
        - Politicas Limites
      summary: Alterar uma política de limite no tenant
      description: Atualiza política de limite no tenant
      parameters:
        - name: id
          in: path
          description: Id da politica limite
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/PoliticaLimiteAlterarRequest'
          text/json:
            schema:
              $ref: '#/components/schemas/PoliticaLimiteAlterarRequest'
          application/*+json:
            schema:
              $ref: '#/components/schemas/PoliticaLimiteAlterarRequest'
        required: true
      responses:
        '200':
          description: OK
          content:
            application/json: {}
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                type: array
                items:
                  type: string
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                type: array
                items:
                  type: string
    get:
      tags:
        - Politicas Limites
      summary: Recuperar política de limite por id
      description: Retorna uma política de limite por id
      parameters:
        - name: id
          in: path
          description: Id da política de limite
          required: true
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PoliticaLimiteRecuperarPorIdResponse'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                type: array
                items:
                  type: string
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                type: array
                items:
                  type: string
    delete:
      tags:
        - Politicas Limites
      summary: Excluir política de limite
      description: Exclui uma política de limite
      parameters:
        - name: id
          in: path
          description: Id da política de limite
          required: true
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json: {}
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                type: array
                items:
                  type: string
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                type: array
                items:
                  type: string
  /api/v1/empresas/{id}/politicas/limites:
    get:
      tags:
        - Politicas Limites
      summary: Listar as políticas de limite da empresa
      description: Retorna uma lista paginada de políticas de limite da empresa
      parameters:
        - name: id
          in: path
          description: Id da empresa associado a política de limite
          required: true
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/PoliticaLimiteRecuperarResponse'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                type: array
                items:
                  type: string
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                type: array
                items:
                  type: string
  /api/v1/cedentes/{id}/politicas/limites:
    get:
      tags:
        - Politicas Limites
      summary: Listar as políticas de limite do cedente
      description: Retorna uma lista paginada de políticas de limite do cedente
      parameters:
        - name: id
          in: path
          description: Id do cedente associado a política de limite
          required: true
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/PoliticaLimiteRecuperarResponse'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                type: array
                items:
                  type: string
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                type: array
                items:
                  type: string
  /api/v1/sacados/{id}/politicas/limites:
    get:
      tags:
        - Politicas Limites
      summary: Listar as políticas de limite do sacados
      description: Retorna uma lista paginada de políticas de limite do sacados
      parameters:
        - name: id
          in: path
          description: Id do sacados associado a política de limite
          required: true
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/PoliticaLimiteRecuperarResponse'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                type: array
                items:
                  type: string
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                type: array
                items:
                  type: string
  /api/v1/gerencial/grupos-empresariais/{id}/politicas/limites:
    get:
      tags:
        - Politicas Limites
      summary: Listar as políticas de limite do grupo empresarial
      description: Retorna uma lista paginada de políticas de limite do grupo empresarial
      parameters:
        - name: id
          in: path
          description: Id do grupo empresarial associado a política de limite
          required: true
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/PoliticaLimiteRecuperarResponse'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                type: array
                items:
                  type: string
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                type: array
                items:
                  type: string
  /api/v1/gerencial/politicas/limites/ativos:
    get:
      tags:
        - Politicas Limites
      summary: Listar as políticas de limite ativas do tenant
      description: Retorna uma lista paginada de políticas de limite ativas
      parameters:
        - name: nome
          in: query
          description: Nome ou parte do nome da política de limite
          schema:
            type: string
            default: null
        - name: pagina
          in: query
          description: Indica o número da página solicitada
          schema:
            type: integer
            format: int32
            default: null
        - name: registros
          in: query
          description: Indica a quantidade máxima de registros que devem ser retornadas
          schema:
            type: integer
            format: int32
            default: null
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/PoliticaLimiteRecuperarAtivoResponse'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                type: array
                items:
                  type: string
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                type: array
                items:
                  type: string
  /api/v1/gerencial/politicas/limites/{id}/associacoes:
    get:
      tags:
        - Politicas Limites
      summary: >-
        Recuperar os primeiros 10 nomes das empresas, dos grupos empresariais,
        dos cedentes e dos sacados associados a política de limite no tenant.
      description: >-
        Retorna os primeiros 10 nomes das empresas, dos grupos empresariais, dos
        cedentes e dos sacados associados a política de limite
      parameters:
        - name: id
          in: path
          description: Id da política de limite
          required: true
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PoliticaLimiteRecuperarAssociacaoResponse'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                type: array
                items:
                  type: string
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                type: array
                items:
                  type: string
  /api/v1/gerencial/politicas/taxas:
    post:
      tags:
        - Politicas Taxas
      summary: Cadastrar uma política de taxa no tenant
      description: Cadastra uma política de taxa no tenant
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/PoliticaTaxaCadastrarRequest'
          text/json:
            schema:
              $ref: '#/components/schemas/PoliticaTaxaCadastrarRequest'
          application/*+json:
            schema:
              $ref: '#/components/schemas/PoliticaTaxaCadastrarRequest'
        required: true
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/IdResponse'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                type: array
                items:
                  type: string
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                type: array
                items:
                  type: string
    get:
      tags:
        - Politicas Taxas
      summary: Listar as políticas de taxa do tenant
      description: Retorna uma lista paginada de políticas de taxa
      parameters:
        - name: nome
          in: query
          description: Nome ou parte do nome da política de taxa
          schema:
            type: string
            default: null
        - name: empresaIds
          in: query
          description: Array de ids das empresas associadas a política de taxa
          schema:
            type: array
            items:
              type: string
            default: null
        - name: grupoEmpresarialIds
          in: query
          description: Array de ids dos grupos empresariais associados a política de taxa
          schema:
            type: array
            items:
              type: string
            default: null
        - name: cedenteIds
          in: query
          description: Array de ids dos cedentes associados a política de taxa
          schema:
            type: array
            items:
              type: string
            default: null
        - name: sacadoIds
          in: query
          description: Array de ids dos sacados associados a política de taxa
          schema:
            type: array
            items:
              type: string
            default: null
        - name: tiposOperacao
          in: query
          description: Tipos de operação associados a política de taxa
          schema:
            type: string
            default: null
        - name: tiposAtivo
          in: query
          description: Tipos de ativo associados a política de taxa
          schema:
            type: string
            default: null
        - name: ativo
          in: query
          description: Indica se a política de taxas está ativo ou não
          schema:
            type: boolean
            default: null
        - name: revisaoInicial
          in: query
          description: Data de revisão inicial da política de taxa
          schema:
            type: string
            format: date-time
            default: null
        - name: revisaoFinal
          in: query
          description: Data de revisão final da política de taxa
          schema:
            type: string
            format: date-time
            default: null
        - name: pagina
          in: query
          description: Indica o número da página solicitada
          schema:
            type: integer
            format: int32
            default: null
        - name: registros
          in: query
          description: Indica a quantidade máxima de registros que devem ser retornadas
          schema:
            type: integer
            format: int32
            default: null
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/PoliticaTaxaRecuperarResponse'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                type: array
                items:
                  type: string
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                type: array
                items:
                  type: string
  /api/v1/gerencial/politicas/taxas/{id}:
    put:
      tags:
        - Politicas Taxas
      summary: Alterar uma política de taxa no tenant
      description: Atualiza política de taxa no tenant
      parameters:
        - name: id
          in: path
          description: Id da politica taxa
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/PoliticaTaxaAlterarRequest'
          text/json:
            schema:
              $ref: '#/components/schemas/PoliticaTaxaAlterarRequest'
          application/*+json:
            schema:
              $ref: '#/components/schemas/PoliticaTaxaAlterarRequest'
        required: true
      responses:
        '200':
          description: OK
          content:
            application/json: {}
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                type: array
                items:
                  type: string
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                type: array
                items:
                  type: string
    delete:
      tags:
        - Politicas Taxas
      summary: Excluir política de taxa
      description: Exclui uma política de taxa
      parameters:
        - name: id
          in: path
          description: Id da política de taxa
          required: true
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json: {}
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                type: array
                items:
                  type: string
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                type: array
                items:
                  type: string
    get:
      tags:
        - Politicas Taxas
      summary: Recuperar política de taxa por id
      description: Retorna uma política de taxa por id
      parameters:
        - name: id
          in: path
          description: Id da política de taxa
          required: true
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PoliticaTaxaRecuperarPorIdResponse'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                type: array
                items:
                  type: string
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                type: array
                items:
                  type: string
  /api/v1/empresas/{id}/politicas/taxas:
    get:
      tags:
        - Politicas Taxas
      summary: Listar as políticas de taxa da empresa
      description: Retorna uma lista paginada de políticas de taxa da empresa
      parameters:
        - name: id
          in: path
          description: Id da empresa associado a política de taxa
          required: true
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/PoliticaTaxaRecuperarResponse'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                type: array
                items:
                  type: string
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                type: array
                items:
                  type: string
  /api/v1/cedentes/{id}/politicas/taxas:
    get:
      tags:
        - Politicas Taxas
      summary: Listar as políticas de taxa do cedente
      description: Retorna uma lista paginada de políticas de taxa do cedente
      parameters:
        - name: id
          in: path
          description: Id do cedente associado a política de taxa
          required: true
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/PoliticaTaxaRecuperarResponse'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                type: array
                items:
                  type: string
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                type: array
                items:
                  type: string
  /api/v1/sacados/{id}/politicas/taxas:
    get:
      tags:
        - Politicas Taxas
      summary: Listar as políticas de taxa do sacados
      description: Retorna uma lista paginada de políticas de taxa do sacados
      parameters:
        - name: id
          in: path
          description: Id do sacados associado a política de taxa
          required: true
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/PoliticaTaxaRecuperarResponse'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                type: array
                items:
                  type: string
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                type: array
                items:
                  type: string
  /api/v1/gerencial/grupos-empresariais/{id}/politicas/taxas:
    get:
      tags:
        - Politicas Taxas
      summary: Listar as políticas de taxa do grupo empresarial
      description: Retorna uma lista paginada de políticas de taxa do grupo empresarial
      parameters:
        - name: id
          in: path
          description: Id do grupo empresarial associado a política de taxa
          required: true
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/PoliticaTaxaRecuperarResponse'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                type: array
                items:
                  type: string
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                type: array
                items:
                  type: string
  /api/v1/gerencial/politicas/taxas/ativos:
    get:
      tags:
        - Politicas Taxas
      summary: Listar as políticas de taxa ativas do tenant
      description: Retorna uma lista paginada de políticas de taxa ativas
      parameters:
        - name: nome
          in: query
          description: Nome ou parte do nome da política de taxa
          schema:
            type: string
            default: null
        - name: pagina
          in: query
          description: Indica o número da página solicitada
          schema:
            type: integer
            format: int32
            default: null
        - name: registros
          in: query
          description: Indica a quantidade máxima de registros que devem ser retornadas
          schema:
            type: integer
            format: int32
            default: null
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/PoliticaTaxaRecuperarAtivoResponse'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                type: array
                items:
                  type: string
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                type: array
                items:
                  type: string
  /api/v1/gerencial/politicas/taxas/{id}/associacoes:
    get:
      tags:
        - Politicas Taxas
      summary: >-
        Recuperar os primeiros 10 nomes das empresas, dos grupos empresariais,
        dos cedentes e dos sacados associados a política de taxa no tenant.
      description: >-
        Retorna os primeiros 10 nomes das empresas, dos grupos empresariais, dos
        cedentes e dos sacados associados a política de taxa
      parameters:
        - name: id
          in: path
          description: Id da política de taxa
          required: true
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PoliticaTaxaRecuperarAssociacaoResponse'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                type: array
                items:
                  type: string
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                type: array
                items:
                  type: string
  /api/v1/gerencial/ramos:
    get:
      tags:
        - Ramos
      summary: Listar os ramos de um tenant
      description: Recuperado ramos com sucesso
      parameters:
        - name: nome
          in: query
          description: Nome ou parte do nome do ramo
          schema:
            type: string
            default: null
        - name: pagina
          in: query
          description: Indica o número da página solicitada
          schema:
            type: integer
            format: int32
            default: null
        - name: registros
          in: query
          description: Indica a quantidade máxima de registros que devem ser retornadas
          schema:
            type: integer
            format: int32
            default: 10
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/RamoResponse'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                type: array
                items:
                  type: string
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                type: array
                items:
                  type: string
    post:
      tags:
        - Ramos
      summary: Cadastrar um ramo em um tenant
      description: Ramo cadastrado com sucesso
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/RamoCadastrarRequest'
          application/*+json:
            schema:
              $ref: '#/components/schemas/RamoCadastrarRequest'
        required: true
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RamoCadastrarResponse'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                type: array
                items:
                  type: string
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                type: array
                items:
                  type: string
  /api/v1/gerencial/ramos/ativos:
    get:
      tags:
        - Ramos
      summary: >-
        Listar os ramos de um tenant que estejam ativos para utilização em
        listas de seleção no sistema
      description: Recuperado ramos ativos com sucesso
      parameters:
        - name: nome
          in: query
          description: Nome ou parte do nome do ramo
          schema:
            type: string
            default: null
        - name: pagina
          in: query
          description: Indica o número da página solicitada
          schema:
            type: integer
            format: int32
            default: null
        - name: registros
          in: query
          description: Indica a quantidade máxima de registros que devem ser retornadas
          schema:
            type: integer
            format: int32
            default: 10
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/RamoAtivosResponse'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                type: array
                items:
                  type: string
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                type: array
                items:
                  type: string
  /api/v1/gerencial/ramos/{id}:
    get:
      tags:
        - Ramos
      summary: Recuperar um ramo de um tenant
      description: Recuperado ramo com sucesso
      parameters:
        - name: id
          in: path
          description: Id do ramo
          required: true
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RamoResponse'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                type: array
                items:
                  type: string
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                type: array
                items:
                  type: string
    put:
      tags:
        - Ramos
      summary: Alteração de um ramo em um tenant
      description: Ramo alterado com sucesso
      parameters:
        - name: id
          in: path
          description: Id do ramo
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/RamoAlterarRequest'
          application/*+json:
            schema:
              $ref: '#/components/schemas/RamoAlterarRequest'
        required: true
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RamoAlterarRequest'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                type: array
                items:
                  type: string
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                type: array
                items:
                  type: string
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                type: array
                items:
                  type: string
  /api/v1/gerencial/setores/{id}:
    get:
      tags:
        - Setores
      summary: Fluxo para recuperar um setor
      description: Retorna um setor
      parameters:
        - name: id
          in: path
          description: Id do setor
          required: true
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SetorResponse'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                type: array
                items:
                  type: string
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
    put:
      tags:
        - Setores
      summary: Fluxo para alteração de um setor.
      description: Alterado com sucesso
      parameters:
        - name: id
          in: path
          description: Id do setor
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/SetorAlterarRequest'
          text/json:
            schema:
              $ref: '#/components/schemas/SetorAlterarRequest'
          application/*+json:
            schema:
              $ref: '#/components/schemas/SetorAlterarRequest'
        required: true
      responses:
        '200':
          description: OK
          content:
            application/json: {}
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                type: array
                items:
                  type: string
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
    delete:
      tags:
        - Setores
      summary: Fluxo para exclusão de um setor.
      description: Deletado com sucesso
      parameters:
        - name: id
          in: path
          description: Id do setor
          required: true
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json: {}
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                type: array
                items:
                  type: string
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
  /api/v1/gerencial/setores/ativos:
    get:
      tags:
        - Setores
      summary: >-
        Fluxo para listar os setores que estejam ativos para utilização em
        listas de seleção no sistema
      description: Lista de setores
      parameters:
        - name: nome
          in: query
          description: Nome ou parte do nome do setor
          schema:
            type: string
            default: null
        - name: pagina
          in: query
          description: Indica o número da página solicitada
          schema:
            type: integer
            format: int32
            default: null
        - name: registros
          in: query
          description: Indica a quantidade máxima de registros que devem ser retornadas
          schema:
            type: integer
            format: int32
            default: 10
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/SetorAtivoResponse'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                type: array
                items:
                  type: string
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
  /api/v1/gerencial/setores:
    get:
      tags:
        - Setores
      summary: Fluxo para listar os setores
      description: Lista de setores
      parameters:
        - name: nome
          in: query
          description: Nome ou parte do nome do setor
          schema:
            type: string
            default: null
        - name: descricao
          in: query
          description: Descrição ou parte da descrição do setor
          schema:
            type: string
            default: null
        - name: pagina
          in: query
          description: Indica o número da página solicitada
          schema:
            type: integer
            format: int32
            default: null
        - name: registros
          in: query
          description: Indica a quantidade máxima de registros que devem ser retornadas
          schema:
            type: integer
            format: int32
            default: 10
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/SetorResponse'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                type: array
                items:
                  type: string
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
    post:
      tags:
        - Setores
      summary: Fluxo para cadastro de um setor.
      description: Cadastrado com sucesso
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/SetorCadastrarRequest'
          text/json:
            schema:
              $ref: '#/components/schemas/SetorCadastrarRequest'
          application/*+json:
            schema:
              $ref: '#/components/schemas/SetorCadastrarRequest'
        required: true
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/IdResponse'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                type: array
                items:
                  type: string
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
components:
  schemas:
    CargoResponse:
      required:
        - id
        - nome
        - descricao
        - ativo
      type: object
      properties:
        id:
          type: string
          description: Id do cargo
          nullable: true
        nome:
          type: string
          description: Nome do cargo
          nullable: true
        descricao:
          type: string
          description: Descrição do cargo
          nullable: true
        ativo:
          type: boolean
          description: Indica se o cargo está ativo ou não
    CargoCadastrarRequest:
      required:
        - nome
        - descricao
        - usuariosIds
        - ativo
      type: object
      properties:
        nome:
          type: string
          description: Nome do cargo
          nullable: true
        descricao:
          type: string
          description: Descrição do cargo
          nullable: true
        usuariosIds:
          type: array
          items:
            type: string
          description: Lista de usuários associados ao cargo
          nullable: true
        ativo:
          type: boolean
          description: Indica se o cargo está ativo ou não
    ProblemDetails:
      type: object
      properties:
        type:
          type: string
          nullable: true
        title:
          type: string
          nullable: true
        status:
          type: integer
          format: int32
          nullable: true
        detail:
          type: string
          nullable: true
        instance:
          type: string
          nullable: true
    CargoAlterarRequest:
      required:
        - id
        - nome
        - descricao
        - usuariosIds
        - ativo
      type: object
      properties:
        id:
          type: string
          description: Id do cargo
          nullable: true
        nome:
          type: string
          description: Nome do cargo
          nullable: true
        descricao:
          type: string
          description: Descrição do cargo
          nullable: true
        usuariosIds:
          type: array
          items:
            type: string
          description: Lista de usuários associados ao cargo
          nullable: true
        ativo:
          type: boolean
          description: Indica se o cargo está ativo ou não
    CargoAtivosResponse:
      required:
        - id
        - nome
      type: object
      properties:
        id:
          type: string
          description: Id do cargo
          nullable: true
        nome:
          type: string
          description: Nome do cargo
          nullable: true
    MunicipioListarResponse:
      required:
        - id
        - nome
      type: object
      properties:
        id:
          type: integer
          description: Código IBGE do município
          format: int32
        nome:
          type: string
          description: Nome do município
          nullable: true
      description: Código IBGE do município
      nullable: true
    VigenciaListarResponse:
      required:
        - inicial
        - final
      type: object
      properties:
        inicial:
          type: string
          description: Data inicial da vigência do feriado
          format: date-time
        final:
          type: string
          description: Data final da vigência do feriado
          format: date-time
          nullable: true
      description: Vigência do feriado
      nullable: true
    FeriadoListarResponse:
      required:
        - id
        - data
        - nome
        - uf
        - municipio
        - recorrente
        - vigencia
      type: object
      properties:
        id:
          type: string
          description: Identificador único do feriado
          nullable: true
        data:
          type: string
          description: Data do feriado
          format: date-time
        nome:
          type: string
          description: Nome do feriado
          nullable: true
        uf:
          type: string
          description: Sigla do estado
          nullable: true
        municipio:
          $ref: '#/components/schemas/MunicipioListarResponse'
        recorrente:
          type: boolean
          description: Indica se o feriado é recorrente
        vigencia:
          $ref: '#/components/schemas/VigenciaListarResponse'
    VigenciaData:
      required:
        - inicial
        - final
      type: object
      properties:
        inicial:
          type: string
          description: Data de início da vigência
          format: date-time
        final:
          type: string
          description: Data de fim da vigência
          format: date-time
          nullable: true
      description: Período de vigência do feriado
      nullable: true
    FeriadoCadastrarRequest:
      required:
        - data
        - nome
        - uf
        - municipioId
        - recorrente
        - vigencia
      type: object
      properties:
        data:
          type: string
          description: Data do feriado
          format: date-time
        nome:
          type: string
          description: Nome do feriado
          nullable: true
        uf:
          type: string
          description: Sigla do estado
          nullable: true
        municipioId:
          type: integer
          description: Código IBGE do município
          format: int32
          nullable: true
        recorrente:
          type: boolean
          description: Indica se o feriado é recorrente
        vigencia:
          $ref: '#/components/schemas/VigenciaData'
    FeriadoCadastrarResponse:
      required:
        - id
      type: object
      properties:
        id:
          type: string
          description: id
          nullable: true
    MunicipioRecuperarIdResponse:
      required:
        - id
        - nome
      type: object
      properties:
        id:
          type: integer
          description: Código IBGE do município
          format: int32
        nome:
          type: string
          description: Nome do município
          nullable: true
      description: Código IBGE do município
      nullable: true
    VigenciaRecuperarIdResponse:
      required:
        - inicial
        - final
      type: object
      properties:
        inicial:
          type: string
          description: Data inicial da vigência do feriado
          format: date-time
        final:
          type: string
          description: Data final da vigência do feriado
          format: date-time
          nullable: true
      description: Vigência do feriado
      nullable: true
    FeriadoRecuperarIdResponse:
      required:
        - id
        - data
        - nome
        - municipio
        - recorrente
        - vigencia
      type: object
      properties:
        id:
          type: string
          description: Identificador único do feriado
          nullable: true
        data:
          type: string
          description: Data do feriado
          format: date-time
        nome:
          type: string
          description: Nome do feriado
          nullable: true
        municipio:
          $ref: '#/components/schemas/MunicipioRecuperarIdResponse'
        recorrente:
          type: boolean
          description: Indica se o feriado é recorrente
        vigencia:
          $ref: '#/components/schemas/VigenciaRecuperarIdResponse'
    VigenciaAlterarData:
      required:
        - inicial
        - final
      type: object
      properties:
        inicial:
          type: string
          description: Data de início da vigência
          format: date-time
        final:
          type: string
          description: Data de fim da vigência
          format: date-time
          nullable: true
      description: Período de vigência do feriado
      nullable: true
    FeriadoAlterarRequest:
      required:
        - data
        - nome
        - uf
        - municipioId
        - recorrente
        - vigencia
      type: object
      properties:
        data:
          type: string
          description: Data do feriado
          format: date-time
        nome:
          type: string
          description: Nome do feriado
          nullable: true
        uf:
          type: string
          description: Sigla do estado
          nullable: true
        municipioId:
          type: integer
          description: Código IBGE do município
          format: int32
          nullable: true
        recorrente:
          type: boolean
          description: Indica se o feriado é recorrente
        vigencia:
          $ref: '#/components/schemas/VigenciaAlterarData'
    LimitesResponse:
      required:
        - global
        - globalIlimitado
        - sacado
        - cedente
      type: object
      properties:
        global:
          type: number
          description: Limite global
          format: double
          nullable: true
        globalIlimitado:
          type: boolean
          description: Indica se o limite global é ilimitado
          nullable: true
        sacado:
          type: number
          description: Limite do sacado
          format: double
          nullable: true
        cedente:
          type: number
          description: Limite do cedente
          format: double
          nullable: true
      description: Limites do grupo empresarial
      nullable: true
    RecuperarResponse:
      required:
        - id
        - apelido
        - nome
        - limites
        - ativo
      type: object
      properties:
        id:
          type: string
          description: Id do grupo empresarial
          nullable: true
        apelido:
          type: string
          description: Apelido do grupo empresarial
          nullable: true
        nome:
          type: string
          description: Nome do grupo empresarial
          nullable: true
        limites:
          $ref: '#/components/schemas/LimitesResponse'
        ativo:
          type: boolean
          description: Indica se o grupo empresarial está ativo
    PoliticasCadastrar:
      required:
        - limite
        - taxa
        - checagem
      type: object
      properties:
        limite:
          type: array
          items:
            type: string
          description: Array com os ids das políticas de limite
          nullable: true
        taxa:
          type: array
          items:
            type: string
          description: Array com os ids das políticas de taxa
          nullable: true
        checagem:
          type: array
          items:
            type: string
          description: Array com os ids das políticas de checagem
          nullable: true
      description: Políticas associadas à empresa
      nullable: true
    CadastrarRequest:
      required:
        - apelido
        - nome
        - ativo
        - limiteGlobal
        - limiteGlobalIlimitado
        - limiteSacado
        - limiteCedente
        - cedenteIds
        - sacadoIds
        - politicas
      type: object
      properties:
        apelido:
          type: string
          description: Apelido do grupo empresarial
          nullable: true
        nome:
          type: string
          description: Nome do grupo empresarial
          nullable: true
        ativo:
          type: boolean
          description: Indica se o grupo empresarial está ativo ou não
        limiteGlobal:
          type: number
          description: Limite global do grupo empresarial
          format: double
          nullable: true
        limiteGlobalIlimitado:
          type: boolean
          description: Indica se o grupo empresarial tem limite global ou não
          nullable: true
        limiteSacado:
          type: number
          description: Limite dos sacados dentro do grupo empresarial
          format: double
          nullable: true
        limiteCedente:
          type: number
          description: Limite dos cedentes dentro do grupo empresarial
          format: double
          nullable: true
        cedenteIds:
          type: array
          items:
            type: string
          description: Array com o ids dos cedentes
          nullable: true
        sacadoIds:
          type: array
          items:
            type: string
          description: Array com o ids dos sacados
          nullable: true
        politicas:
          $ref: '#/components/schemas/PoliticasCadastrar'
    CadastrarResponse:
      required:
        - id
      type: object
      properties:
        id:
          type: string
          description: Id do grupo empresarial
          nullable: true
    GrupoEmpresarialAssociarRequest:
      required:
        - id
        - tipo
        - associadoId
      type: object
      properties:
        id:
          type: string
          description: Id do grupo empresarial
          nullable: true
        tipo:
          type: string
          description: Tipo da associação
          nullable: true
        associadoId:
          type: string
          description: Id do cedente ou do sacado
          nullable: true
        associar:
          type: boolean
          description: True para associar, false para desassociar
          default: true
          nullable: true
    LimitesPorIdResponse:
      required:
        - global
        - globalIlimitado
        - sacado
        - cedente
      type: object
      properties:
        global:
          type: number
          description: Limite global
          format: double
          nullable: true
        globalIlimitado:
          type: boolean
          description: Indica se o limite global é ilimitado
          nullable: true
        sacado:
          type: number
          description: Limite do sacado
          format: double
          nullable: true
        cedente:
          type: number
          description: Limite do cedente
          format: double
          nullable: true
      description: Limites do grupo empresarial
      nullable: true
    CedentePorIdResponse:
      required:
        - id
        - apelido
        - nome
      type: object
      properties:
        id:
          type: string
          description: Id do cedente
          nullable: true
        apelido:
          type: string
          description: Apelido do cedente
          nullable: true
        nome:
          type: string
          description: Nome do cedente
          nullable: true
    SacadoPorIdResponse:
      required:
        - id
        - nome
      type: object
      properties:
        id:
          type: string
          description: Id do sacado
          nullable: true
        nome:
          type: string
          description: Nome do sacado
          nullable: true
    RecuperarPorIdResponse:
      required:
        - id
        - apelido
        - nome
        - limites
        - ativo
        - cedentes
        - sacados
      type: object
      properties:
        id:
          type: string
          description: Id do grupo empresarial
          nullable: true
        apelido:
          type: string
          description: Apelido do grupo empresarial
          nullable: true
        nome:
          type: string
          description: Nome do grupo empresarial
          nullable: true
        limites:
          $ref: '#/components/schemas/LimitesPorIdResponse'
        ativo:
          type: boolean
          description: Indica se o grupo empresarial está ativo
        cedentes:
          type: array
          items:
            $ref: '#/components/schemas/CedentePorIdResponse'
          description: Lista de cedentes do grupo empresarial
          nullable: true
        sacados:
          type: array
          items:
            $ref: '#/components/schemas/SacadoPorIdResponse'
          description: Lista de sacados do grupo empresarial
          nullable: true
    PoliticasAlterar:
      required:
        - limite
        - taxa
        - checagem
      type: object
      properties:
        limite:
          type: array
          items:
            type: string
          description: Array com os ids das políticas de limite
          nullable: true
        taxa:
          type: array
          items:
            type: string
          description: Array com os ids das políticas de taxa
          nullable: true
        checagem:
          type: array
          items:
            type: string
          description: Array com os ids das políticas de checagem
          nullable: true
      description: Políticas associadas à empresa
      nullable: true
    AlterarRequest:
      required:
        - apelido
        - nome
        - ativo
        - limiteGlobal
        - limiteGlobalIlimitado
        - limiteSacado
        - limiteCedente
        - cedenteIds
        - sacadoIds
        - politicas
      type: object
      properties:
        apelido:
          type: string
          description: Apelido do grupo empresarial
          nullable: true
        nome:
          type: string
          description: Nome do grupo empresarial
          nullable: true
        ativo:
          type: boolean
          description: Indica se o grupo empresarial está ativo ou não
        limiteGlobal:
          type: number
          description: Limite global do grupo empresarial
          format: double
          nullable: true
        limiteGlobalIlimitado:
          type: boolean
          description: Indica se o grupo empresarial tem limite global ou não
          nullable: true
        limiteSacado:
          type: number
          description: Limite dos sacados dentro do grupo empresarial
          format: double
          nullable: true
        limiteCedente:
          type: number
          description: Limite dos cedentes dentro do grupo empresarial
          format: double
          nullable: true
        cedenteIds:
          type: array
          items:
            type: string
          description: Array com o ids dos cedentes
          nullable: true
        sacadoIds:
          type: array
          items:
            type: string
          description: Array com o ids dos sacados
          nullable: true
        politicas:
          $ref: '#/components/schemas/PoliticasAlterar'
    ExcluirRequest:
      type: object
    GrupoEmpresarialRecuperarPorRaizCnpjResponse:
      required:
        - id
      type: object
      properties:
        id:
          type: string
          description: Id do grupo empresarial
          nullable: true
    RecuperarAtivosResponse:
      required:
        - id
        - apelido
        - nome
      type: object
      properties:
        id:
          type: string
          description: Id do grupo empresarial
          nullable: true
        apelido:
          type: string
          description: Apelido do grupo empresarial
          nullable: true
        nome:
          type: string
          description: Nome do grupo empresarial
          nullable: true
    GrupoEmpresarialDesassociarTudoRequest:
      required:
        - tipo
        - associadoId
      type: object
      properties:
        tipo:
          type: string
          description: Tipo da associação
          nullable: true
        associadoId:
          type: array
          items:
            type: string
          description: Id do cedente ou do sacado
          nullable: true
    TipoPessoaFisicaEnum:
      type: integer
      description: Tipos de pessoa físicas
    PerfilResponse:
      required:
        - id
        - nome
        - descricao
        - nivel
        - ativo
        - tipoPessoaFisica
      type: object
      properties:
        id:
          type: string
          description: Id único do perfil
          nullable: true
        nome:
          type: string
          description: Nome do perfil
          nullable: true
        descricao:
          type: string
          description: Descrição do perfil
          nullable: true
        nivel:
          type: integer
          description: Indica o nível do perfil
          format: int32
        ativo:
          type: boolean
          description: Indica se está ativo ou não
        tipoPessoaFisica:
          $ref: '#/components/schemas/TipoPessoaFisicaEnum'
    TipoPessoaFisicaEnum2:
      type: integer
      description: Tipo de pessoa fisica
    PerfilPermissaoCadastrarRequest:
      required:
        - nome
        - acesso
      type: object
      properties:
        nome:
          type: string
          description: Nome da permissão
          nullable: true
        acesso:
          type: integer
          description: Soma dos tipo de acesso que a permissão terá no perfil
          format: int32
    PerfilCadastrarRequest:
      required:
        - nome
        - descricao
        - nivel
        - ativo
        - tipoPessoaFisica
        - permissoes
        - usuarios
      type: object
      properties:
        nome:
          type: string
          description: Nome do perfil
          nullable: true
        descricao:
          type: string
          description: Descrição do perfil
          nullable: true
        nivel:
          type: integer
          description: Nivel do perfil
          format: int32
        ativo:
          type: boolean
          description: Indica se o tipo está ativo ou não
        tipoPessoaFisica:
          $ref: '#/components/schemas/TipoPessoaFisicaEnum2'
        permissoes:
          type: array
          items:
            $ref: '#/components/schemas/PerfilPermissaoCadastrarRequest'
          description: Dados da permissão
          nullable: true
        usuarios:
          type: array
          items:
            type: string
          description: Array com o id dos usuário que possuem o perfil
          nullable: true
    PerfilPermissaoResponse:
      required:
        - nome
        - acesso
      type: object
      properties:
        nome:
          type: string
          description: Id único da permissão
          nullable: true
        acesso:
          type: integer
          description: Soma dos tipo de acesso que a permissão terá no perfil
          format: int32
    PerfilPorIdResponse:
      required:
        - id
        - nome
        - descricao
        - nivel
        - ativo
        - tipoPessoaFisica
        - permissoes
      type: object
      properties:
        id:
          type: string
          description: Id único do perfil
          nullable: true
        nome:
          type: string
          description: Nome do perfil
          nullable: true
        descricao:
          type: string
          description: Descrição do perfil
          nullable: true
        nivel:
          type: integer
          description: Indica o nível do perfil
          format: int32
        ativo:
          type: boolean
          description: Indica se está ativo ou não
        tipoPessoaFisica:
          $ref: '#/components/schemas/TipoPessoaFisicaEnum2'
        permissoes:
          type: array
          items:
            $ref: '#/components/schemas/PerfilPermissaoResponse'
          description: Dados da permissão
          nullable: true
    PerfilPermissaoAlterarRequest:
      required:
        - nome
        - acesso
      type: object
      properties:
        nome:
          type: string
          description: Nome da permissão
          nullable: true
        acesso:
          type: integer
          description: Soma dos tipo de acesso que a permissão terá no perfil
          format: int32
    PerfilAlterarRequest:
      required:
        - id
        - nome
        - descricao
        - nivel
        - ativo
        - tipoPessoaFisica
        - permissoes
        - usuarios
      type: object
      properties:
        id:
          type: string
          description: Id do perfil
          nullable: true
        nome:
          type: string
          description: Nome do perfil
          nullable: true
        descricao:
          type: string
          description: Descrição do perfil
          nullable: true
        nivel:
          type: integer
          description: Nivel do perfil
          format: int32
        ativo:
          type: boolean
          description: Indica se o tipo está ativo ou não
        tipoPessoaFisica:
          $ref: '#/components/schemas/TipoPessoaFisicaEnum2'
        permissoes:
          type: array
          items:
            $ref: '#/components/schemas/PerfilPermissaoAlterarRequest'
          description: Dados da permissão
          nullable: true
        usuarios:
          type: array
          items:
            type: string
          description: Array com o id dos usuário que possuem o perfil
          nullable: true
    TipoPessoaFisicaEnum3:
      type: integer
      description: Tipos de pessoa fisicas
    PerfilAtivosResponse:
      required:
        - id
        - nome
        - tipoPessoaFisica
      type: object
      properties:
        id:
          type: string
          description: Id único do perfil
          nullable: true
        nome:
          type: string
          description: Nome do perfil
          nullable: true
        tipoPessoaFisica:
          $ref: '#/components/schemas/TipoPessoaFisicaEnum3'
    PoliticaChecagemRecuperarResponse:
      required:
        - id
        - nome
        - limite
        - descricao
        - revisao
        - ativo
      type: object
      properties:
        id:
          type: string
          description: Id da política de checagem
          nullable: true
        nome:
          type: string
          description: Nome da política de checagem
          nullable: true
        limite:
          type: number
          description: Valor do limite do checagem da política de checagem
          format: double
        descricao:
          type: string
          description: Descrição da política de checagem
          nullable: true
        revisao:
          type: string
          description: Data da revisão da política de checagem
          format: date-time
          nullable: true
        ativo:
          type: boolean
          description: Indica se a política de checagem está ativo ou não
    AgendamentoRevisaoRequest:
      required:
        - notificar
        - revisao
        - diasAntecedencia
      type: object
      properties:
        notificar:
          type: boolean
          description: Indica se vai haver notificação ou não
        revisao:
          type: string
          description: Data da revisão
          format: date-time
          nullable: true
        diasAntecedencia:
          type: integer
          description: Dias em que a notificação deve ser iniciada
          format: int32
          nullable: true
      description: Data da revisão da política de checagem
      nullable: true
    PoliticaChecagemAssociacaoItemRequest:
      required:
        - ids
        - ativo
      type: object
      properties:
        ids:
          type: array
          items:
            type: string
          description: Array de ids associados a política de checagem
          nullable: true
        ativo:
          type: boolean
          description: Indica que a associação está ativa ou não
      description: Empresas associadas e indicação se está ativa ou não
      nullable: true
    PoliticaChecagemAssociacaoItemRequest2:
      required:
        - ids
        - ativo
      type: object
      properties:
        ids:
          type: array
          items:
            type: string
          description: Array de ids associados a política de checagem
          nullable: true
        ativo:
          type: boolean
          description: Indica que a associação está ativa ou não
      description: Grupos empresariais associados e indicação se está ativa ou não
      nullable: true
    PoliticaChecagemAssociacaoItemRequest3:
      required:
        - ids
        - ativo
      type: object
      properties:
        ids:
          type: array
          items:
            type: string
          description: Array de ids associados a política de checagem
          nullable: true
        ativo:
          type: boolean
          description: Indica que a associação está ativa ou não
      description: Cedentes associados e indicação se está ativa ou não
      nullable: true
    PoliticaChecagemAssociacaoItemRequest4:
      required:
        - ids
        - ativo
      type: object
      properties:
        ids:
          type: array
          items:
            type: string
          description: Array de ids associados a política de checagem
          nullable: true
        ativo:
          type: boolean
          description: Indica que a associação está ativa ou não
      description: Sacados associados e indicação se está ativa ou não
      nullable: true
    NullableOfTipoOperacaoEnum:
      type: integer
      description: Tipos de operação da política de checagem
      nullable: true
    PoliticaChecagemAssociacaoTipoOperacaoRequest:
      required:
        - tipo
        - ativo
      type: object
      properties:
        tipo:
          $ref: '#/components/schemas/NullableOfTipoOperacaoEnum'
        ativo:
          type: boolean
          description: Indica que a associação de tipos de operação está ativa ou não
      description: Tipos de operação associados e indicação se está ativa ou não
      nullable: true
    NullableOfTipoAtivoEnum:
      type: integer
      description: Tipos de ativo da política de checagem
      nullable: true
    PoliticaChecagemAssociacaoTipoAtivoRequest:
      required:
        - tipo
        - ativo
      type: object
      properties:
        tipo:
          $ref: '#/components/schemas/NullableOfTipoAtivoEnum'
        ativo:
          type: boolean
          description: Indica que a associação de tipos de ativo está ativa ou não
      description: Tipos de ativo associados e indicação se está ativa ou não
      nullable: true
    PoliticaChecagemAssociacaoRequest:
      required:
        - empresa
        - grupoEmpresarial
        - cedente
        - sacado
        - tipoOperacao
        - tipoAtivo
      type: object
      properties:
        empresa:
          $ref: '#/components/schemas/PoliticaChecagemAssociacaoItemRequest'
        grupoEmpresarial:
          $ref: '#/components/schemas/PoliticaChecagemAssociacaoItemRequest2'
        cedente:
          $ref: '#/components/schemas/PoliticaChecagemAssociacaoItemRequest3'
        sacado:
          $ref: '#/components/schemas/PoliticaChecagemAssociacaoItemRequest4'
        tipoOperacao:
          $ref: '#/components/schemas/PoliticaChecagemAssociacaoTipoOperacaoRequest'
        tipoAtivo:
          $ref: '#/components/schemas/PoliticaChecagemAssociacaoTipoAtivoRequest'
      description: Associações da política de checagem
      nullable: true
    PoliticaChecagemCadastrarRequest:
      required:
        - nome
        - limite
        - descricao
        - ativo
        - revisao
        - associacoes
      type: object
      properties:
        nome:
          type: string
          description: Nome da política de checagem
          nullable: true
        limite:
          type: number
          description: Valor do limite do checagem da política de checagem
          format: double
        descricao:
          type: string
          description: Descrição da política de checagem
          nullable: true
        ativo:
          type: boolean
          description: Indica se a política de checagem está ativo ou não
        revisao:
          $ref: '#/components/schemas/AgendamentoRevisaoRequest'
        associacoes:
          $ref: '#/components/schemas/PoliticaChecagemAssociacaoRequest'
    IdResponse:
      required:
        - id
      type: object
      properties:
        id:
          type: string
          nullable: true
    AgendamentoRevisaoResponse:
      required:
        - notificar
        - revisao
        - diasAntecedencia
      type: object
      properties:
        notificar:
          type: boolean
          description: Indica se vai haver notificação ou não
        revisao:
          type: string
          description: Data da revisão
          format: date-time
        diasAntecedencia:
          type: integer
          description: Dias em que a notificação deve ser iniciada
          format: int32
          nullable: true
      description: Revisão da política de checagem
      nullable: true
    PoliticaChecagemRecuperarPorIdResponse:
      required:
        - id
        - nome
        - limite
        - descricao
        - ativo
        - tiposOperacao
        - tiposAtivo
        - associacaoEmpresaAtivo
        - associacaoGrupoEmpresarialAtivo
        - associacaoCedenteAtivo
        - associacaoSacadoAtivo
        - associacaoTipoOperacaoAtivo
        - associacaoTipoAtivoAtivo
      type: object
      properties:
        id:
          type: string
          description: Id da política de checagem
          nullable: true
        nome:
          type: string
          description: Nome da política de checagem
          nullable: true
        limite:
          type: number
          description: Valor do limite do checagem da política de checagem
          format: double
        descricao:
          type: string
          description: Descrição da política de checagem
          nullable: true
        ativo:
          type: boolean
          description: Indica se a política de checagem está ativo ou não
        tiposOperacao:
          $ref: '#/components/schemas/NullableOfTipoOperacaoEnum'
        tiposAtivo:
          $ref: '#/components/schemas/NullableOfTipoAtivoEnum'
        associacaoEmpresaAtivo:
          type: boolean
          description: Empresas associadas e indicação se está ativa ou não
        associacaoGrupoEmpresarialAtivo:
          type: boolean
          description: Grupos empresariais associados e indicação se está ativa ou não
        associacaoCedenteAtivo:
          type: boolean
          description: Cedentes associados e indicação se está ativa ou não
        associacaoSacadoAtivo:
          type: boolean
          description: Sacados associados e indicação se está ativa ou não
        associacaoTipoOperacaoAtivo:
          type: boolean
          description: Tipos de operação associados e indicação se está ativa ou não
        associacaoTipoAtivoAtivo:
          type: boolean
          description: Tipos de ativo associados e indicação se está ativa ou não
        revisao:
          $ref: '#/components/schemas/AgendamentoRevisaoResponse'
    PoliticaChecagemAlterarRequest:
      required:
        - nome
        - limite
        - descricao
        - ativo
        - revisao
        - associacoes
      type: object
      properties:
        id:
          type: string
          description: Id da política de checagem
          nullable: true
        nome:
          type: string
          description: Nome da política de checagem
          nullable: true
        limite:
          type: number
          description: Valor do limite do checagem da política de checagem
          format: double
        descricao:
          type: string
          description: Descrição da política de checagem
          nullable: true
        ativo:
          type: boolean
          description: Indica se a política de checagem está ativo ou não
        revisao:
          $ref: '#/components/schemas/AgendamentoRevisaoRequest'
        associacoes:
          $ref: '#/components/schemas/PoliticaChecagemAssociacaoRequest'
    PoliticaChecagemRecuperarAtivoResponse:
      required:
        - id
        - nome
      type: object
      properties:
        id:
          type: string
          description: Id da política de checagem
          nullable: true
        nome:
          type: string
          description: Nome da política de checagem
          nullable: true
    NullableOfTipoOperacaoEnum2:
      type: integer
      description: Id da política de checagem
      nullable: true
    NullableOfTipoAtivoEnum2:
      type: integer
      description: Id da política de checagem
      nullable: true
    PoliticaChecagemAssociacaoItemResponse:
      required:
        - id
        - nome
      type: object
      properties:
        id:
          type: string
          description: Id da associação da política de checagem
          nullable: true
        nome:
          type: string
          description: Nome da associação da política de checagem
          nullable: true
    PoliticaChecagemRecuperarAssociacaoResponse:
      required:
        - tiposOperacao
        - tipoAtivo
      type: object
      properties:
        tiposOperacao:
          $ref: '#/components/schemas/NullableOfTipoOperacaoEnum2'
        tipoAtivo:
          $ref: '#/components/schemas/NullableOfTipoAtivoEnum2'
        empresas:
          type: array
          items:
            $ref: '#/components/schemas/PoliticaChecagemAssociacaoItemResponse'
          description: Empresas associadas
          nullable: true
        gruposEmpresariais:
          type: array
          items: {}
          description: Grupos empresariais associadas
          nullable: true
        cedentes:
          type: array
          items: {}
          description: Cedentes associadas
          nullable: true
        sacados:
          type: array
          items: {}
          description: Sacados associadas
          nullable: true
    Agentes:
      required:
        - id
        - nome
        - cpfCnpj
      type: object
      properties:
        id:
          type: string
          description: Id do Agente
          nullable: true
        nome:
          type: string
          description: Nome do Agente
          nullable: true
        cpfCnpj:
          type: string
          description: Cpf ou Cnpj do Agente
          nullable: true
    PoliticaComissaoAgenteResponse:
      required:
        - id
        - nome
        - agentes
        - ativo
      type: object
      properties:
        id:
          type: string
          description: Id da Politica Comissao Agente
          nullable: true
        nome:
          type: string
          description: Nome da Politica Comissao Agente
          nullable: true
        agentes:
          type: array
          items:
            $ref: '#/components/schemas/Agentes'
          description: Ids dos agentes que utilizarão essa política de comissão do agente
          nullable: true
        ativo:
          type: boolean
          description: Indica se a política de comissão do agente está ativo ou não
    TipoCalculoPoliticaComissaAgenteEnum:
      type: integer
      description: Tipo de cálculo da política de comissão do agente
    FaixaComissao:
      required:
        - inicio
        - fim
        - comissao
      type: object
      properties:
        inicio:
          type: number
          description: Valor inicial da faixa de comissão
          format: double
        fim:
          type: number
          description: Valor final da faixa de comissão
          format: double
        comissao:
          type: number
          description: Valor da comissão para a faixa informada
          format: double
    CadastrarRequest2:
      required:
        - nome
        - tipoCalculo
        - formula
        - comissao
        - ativo
        - agentes
        - faixaComissao
      type: object
      properties:
        nome:
          type: string
          description: Nome da política de comissão do agente
          nullable: true
        tipoCalculo:
          $ref: '#/components/schemas/TipoCalculoPoliticaComissaAgenteEnum'
        formula:
          type: string
          description: Fórmula de cálculo da política de comissão do agente
          nullable: true
        comissao:
          type: number
          description: Comissão padrão da política de comissão do agente
          format: double
          nullable: true
        ativo:
          type: boolean
          description: Indica se a política de comissão do agente está ativo ou não
        agentes:
          type: array
          items:
            type: string
          description: Array com os agentes que podem utilizar a política de comissão
          nullable: true
        faixaComissao:
          type: array
          items:
            $ref: '#/components/schemas/FaixaComissao'
          description: Array com as faixas de comissão
          nullable: true
    CadastrarResponse2:
      required:
        - id
      type: object
      properties:
        id:
          type: string
          description: Id da Politica Comissao Agente
          nullable: true
    FaixaComissaoResponse:
      required:
        - id
        - inicio
        - fim
        - comissao
      type: object
      properties:
        id:
          type: string
          description: Id da faixa de comissão
          nullable: true
        inicio:
          type: number
          description: Valor inicial da faixa de comissão
          format: double
        fim:
          type: number
          description: Valor final da faixa de comissão
          format: double
        comissao:
          type: number
          description: Valor da comissão para a faixa informada
          format: double
    PoliticaComissaoAgentePorIdResponse:
      required:
        - id
        - nome
        - tipoCalculo
        - comissao
        - formula
        - ativo
        - faixaComissao
      type: object
      properties:
        id:
          type: string
          description: Id da Politica Comissao Agente
          nullable: true
        nome:
          type: string
          description: Nome da Politica Comissao Agente
          nullable: true
        tipoCalculo:
          $ref: '#/components/schemas/TipoCalculoPoliticaComissaAgenteEnum'
        comissao:
          type: number
          description: Comissão padrão da política de comissão do agente
          format: double
          nullable: true
        formula:
          type: string
          description: Fórmula de cálculo da política de comissão do agente
          nullable: true
        ativo:
          type: boolean
          description: Indica se a política de comissão do agente está ativo ou não
        faixaComissao:
          type: array
          items:
            $ref: '#/components/schemas/FaixaComissaoResponse'
          description: Array com as faixas de comissão
          nullable: true
    FaixaComissaoAlterar:
      required:
        - inicio
        - fim
        - comissao
      type: object
      properties:
        inicio:
          type: number
          description: Valor inicial da faixa de comissão
          format: double
        fim:
          type: number
          description: Valor final da faixa de comissão
          format: double
        comissao:
          type: number
          description: Valor da comissão para a faixa informada
          format: double
    AlterarRequest2:
      required:
        - nome
        - tipoCalculo
        - formula
        - comissao
        - ativo
        - agentes
        - faixaComissao
      type: object
      properties:
        nome:
          type: string
          description: Nome da política de comissão do agente
          nullable: true
        tipoCalculo:
          $ref: '#/components/schemas/TipoCalculoPoliticaComissaAgenteEnum'
        formula:
          type: string
          description: Fórmula de cálculo da política de comissão do agente
          nullable: true
        comissao:
          type: number
          description: Comissão padrão da política de comissão do agente
          format: double
          nullable: true
        ativo:
          type: boolean
          description: Indica se a política de comissão do agente está ativo ou não
        agentes:
          type: array
          items:
            type: string
          description: Array com os agentes que podem utilizar a política de comissão
          nullable: true
        faixaComissao:
          type: array
          items:
            $ref: '#/components/schemas/FaixaComissaoAlterar'
          description: Array com as faixas de comissão
          nullable: true
    PoliticaComissaoAgenteAtivosResponse:
      required:
        - id
        - nome
      type: object
      properties:
        id:
          type: string
          description: Id da Politica Comissao Agente
          nullable: true
        nome:
          type: string
          description: Nome da Politica Comissao Agente
          nullable: true
    TipoPoliticaEnum:
      type: integer
      description: Tipo de política
    TipoPoliticaAssociacaoEnum:
      type: integer
      description: Tipo de associação
    PoliticaAssociarRequest:
      type: object
      properties:
        id:
          type: string
          description: Id da política
          nullable: true
        associacaoIds:
          type: array
          items:
            type: string
          description: Ids dos itens a serem associados a política
          nullable: true
        tipoPolitica:
          $ref: '#/components/schemas/TipoPoliticaEnum'
        tipoAssociacao:
          $ref: '#/components/schemas/TipoPoliticaAssociacaoEnum'
    PoliticaDesassociarTudoRequest:
      required:
        - associacaoIds
        - tipoAssociacao
      type: object
      properties:
        associacaoIds:
          type: array
          items:
            type: string
          description: Ids dos itens a serem associados a política
          nullable: true
        tipoAssociacao:
          $ref: '#/components/schemas/TipoPoliticaAssociacaoEnum'
    PoliticaLimiteRecuperarResponse:
      required:
        - id
        - nome
        - valor
        - revisao
        - ativo
      type: object
      properties:
        id:
          type: string
          description: Id da política de limite
          nullable: true
        nome:
          type: string
          description: Nome da política de limite
          nullable: true
        valor:
          type: number
          description: Valor do limite da política de limite
          format: double
        revisao:
          type: string
          description: Data da revisão da política de limite
          format: date-time
          nullable: true
        ativo:
          type: boolean
          description: Indica se a política de limite está ativo ou não
    AgendamentoRevisaoRequest2:
      required:
        - notificar
        - revisao
        - diasAntecedencia
      type: object
      properties:
        notificar:
          type: boolean
          description: Indica se vai haver notificação ou não
        revisao:
          type: string
          description: Data da revisão
          format: date-time
          nullable: true
        diasAntecedencia:
          type: integer
          description: Dias em que a notificação deve ser iniciada
          format: int32
          nullable: true
      description: Data da revisão da política de limite
      nullable: true
    PoliticaLimiteAssociacaoItemRequest:
      required:
        - ids
        - ativo
      type: object
      properties:
        ids:
          type: array
          items:
            type: string
          description: Array de ids associados a política de limite
          nullable: true
        ativo:
          type: boolean
          description: Indica que a associação está ativa ou não
      description: Empresas associadas e indicação se está ativa ou não
      nullable: true
    PoliticaLimiteAssociacaoItemRequest2:
      required:
        - ids
        - ativo
      type: object
      properties:
        ids:
          type: array
          items:
            type: string
          description: Array de ids associados a política de limite
          nullable: true
        ativo:
          type: boolean
          description: Indica que a associação está ativa ou não
      description: Grupos empresariais associados e indicação se está ativa ou não
      nullable: true
    PoliticaLimiteAssociacaoItemRequest3:
      required:
        - ids
        - ativo
      type: object
      properties:
        ids:
          type: array
          items:
            type: string
          description: Array de ids associados a política de limite
          nullable: true
        ativo:
          type: boolean
          description: Indica que a associação está ativa ou não
      description: Cedentes associados e indicação se está ativa ou não
      nullable: true
    PoliticaLimiteAssociacaoItemRequest4:
      required:
        - ids
        - ativo
      type: object
      properties:
        ids:
          type: array
          items:
            type: string
          description: Array de ids associados a política de limite
          nullable: true
        ativo:
          type: boolean
          description: Indica que a associação está ativa ou não
      description: Sacados associados e indicação se está ativa ou não
      nullable: true
    NullableOfTipoOperacaoEnum3:
      type: integer
      description: Tipos de operação da política de limite
      nullable: true
    PoliticaLimiteAssociacaoTipoOperacaoRequest:
      required:
        - tipo
        - ativo
      type: object
      properties:
        tipo:
          $ref: '#/components/schemas/NullableOfTipoOperacaoEnum3'
        ativo:
          type: boolean
          description: Indica que a associação de tipos de operação está ativa ou não
      description: Tipos de operação associados e indicação se está ativa ou não
      nullable: true
    NullableOfTipoAtivoEnum3:
      type: integer
      description: Tipos de ativo da política de limite
      nullable: true
    PoliticaLimiteAssociacaoTipoAtivoRequest:
      required:
        - tipo
        - ativo
      type: object
      properties:
        tipo:
          $ref: '#/components/schemas/NullableOfTipoAtivoEnum3'
        ativo:
          type: boolean
          description: Indica que a associação de tipos de ativo está ativa ou não
      description: Tipos de ativo associados e indicação se está ativa ou não
      nullable: true
    PoliticaLimiteAssociacaoRequest:
      required:
        - empresa
        - grupoEmpresarial
        - cedente
        - sacado
        - tipoOperacao
        - tipoAtivo
      type: object
      properties:
        empresa:
          $ref: '#/components/schemas/PoliticaLimiteAssociacaoItemRequest'
        grupoEmpresarial:
          $ref: '#/components/schemas/PoliticaLimiteAssociacaoItemRequest2'
        cedente:
          $ref: '#/components/schemas/PoliticaLimiteAssociacaoItemRequest3'
        sacado:
          $ref: '#/components/schemas/PoliticaLimiteAssociacaoItemRequest4'
        tipoOperacao:
          $ref: '#/components/schemas/PoliticaLimiteAssociacaoTipoOperacaoRequest'
        tipoAtivo:
          $ref: '#/components/schemas/PoliticaLimiteAssociacaoTipoAtivoRequest'
      description: Associações da política de limite
      nullable: true
    PoliticaLimiteCadastrarRequest:
      required:
        - nome
        - valor
        - ativo
        - revisao
        - associacoes
      type: object
      properties:
        nome:
          type: string
          description: Nome da política de limite
          nullable: true
        valor:
          type: number
          description: Valor do limite da política de limite
          format: double
        ativo:
          type: boolean
          description: Indica se a política de limite está ativo ou não
        revisao:
          $ref: '#/components/schemas/AgendamentoRevisaoRequest2'
        associacoes:
          $ref: '#/components/schemas/PoliticaLimiteAssociacaoRequest'
    AgendamentoRevisaoResponse2:
      required:
        - notificar
        - revisao
        - diasAntecedencia
      type: object
      properties:
        notificar:
          type: boolean
          description: Indica se vai haver notificação ou não
        revisao:
          type: string
          description: Data da revisão
          format: date-time
        diasAntecedencia:
          type: integer
          description: Dias em que a notificação deve ser iniciada
          format: int32
          nullable: true
      description: Revisão da política de limite
      nullable: true
    PoliticaLimiteRecuperarPorIdResponse:
      required:
        - id
        - nome
        - valor
        - ativo
        - tiposOperacao
        - tiposAtivo
        - associacaoEmpresaAtivo
        - associacaoGrupoEmpresarialAtivo
        - associacaoCedenteAtivo
        - associacaoSacadoAtivo
        - associacaoTipoOperacaoAtivo
        - associacaoTipoAtivoAtivo
      type: object
      properties:
        id:
          type: string
          description: Id da política de limite
          nullable: true
        nome:
          type: string
          description: Nome da política de limite
          nullable: true
        valor:
          type: number
          description: Valor do limite da política de limite
          format: double
        ativo:
          type: boolean
          description: Indica se a política de limite está ativo ou não
        tiposOperacao:
          $ref: '#/components/schemas/NullableOfTipoOperacaoEnum3'
        tiposAtivo:
          $ref: '#/components/schemas/NullableOfTipoAtivoEnum3'
        associacaoEmpresaAtivo:
          type: boolean
          description: Empresas associadas e indicação se está ativa ou não
        associacaoGrupoEmpresarialAtivo:
          type: boolean
          description: Grupos empresariais associados e indicação se está ativa ou não
        associacaoCedenteAtivo:
          type: boolean
          description: Cedentes associados e indicação se está ativa ou não
        associacaoSacadoAtivo:
          type: boolean
          description: Sacados associados e indicação se está ativa ou não
        associacaoTipoOperacaoAtivo:
          type: boolean
          description: Tipos de operação associados e indicação se está ativa ou não
        associacaoTipoAtivoAtivo:
          type: boolean
          description: Tipos de ativo associados e indicação se está ativa ou não
        revisao:
          $ref: '#/components/schemas/AgendamentoRevisaoResponse2'
    PoliticaLimiteAlterarRequest:
      required:
        - nome
        - valor
        - ativo
        - revisao
        - associacoes
      type: object
      properties:
        id:
          type: string
          description: Id da política de limite
          nullable: true
        nome:
          type: string
          description: Nome da política de limite
          nullable: true
        valor:
          type: number
          description: Valor do limite da política de limite
          format: double
        ativo:
          type: boolean
          description: Indica se a política de limite está ativo ou não
        revisao:
          $ref: '#/components/schemas/AgendamentoRevisaoRequest2'
        associacoes:
          $ref: '#/components/schemas/PoliticaLimiteAssociacaoRequest'
    PoliticaLimiteRecuperarAtivoResponse:
      required:
        - id
        - nome
      type: object
      properties:
        id:
          type: string
          description: Id da política de limite
          nullable: true
        nome:
          type: string
          description: Nome da política de limite
          nullable: true
    NullableOfTipoOperacaoEnum4:
      type: integer
      description: Id da política de limite
      nullable: true
    NullableOfTipoAtivoEnum4:
      type: integer
      description: Id da política de limite
      nullable: true
    PoliticaLimiteAssociacaoItemResponse:
      required:
        - id
        - nome
      type: object
      properties:
        id:
          type: string
          description: Id da associação da política de limite
          nullable: true
        nome:
          type: string
          description: Nome da associação da política de limite
          nullable: true
    PoliticaLimiteRecuperarAssociacaoResponse:
      required:
        - tiposOperacao
        - tipoAtivo
      type: object
      properties:
        tiposOperacao:
          $ref: '#/components/schemas/NullableOfTipoOperacaoEnum4'
        tipoAtivo:
          $ref: '#/components/schemas/NullableOfTipoAtivoEnum4'
        empresas:
          type: array
          items:
            $ref: '#/components/schemas/PoliticaLimiteAssociacaoItemResponse'
          description: Empresas associadas
          nullable: true
        gruposEmpresariais:
          type: array
          items: {}
          description: Grupos empresariais associadas
          nullable: true
        cedentes:
          type: array
          items: {}
          description: Cedentes associadas
          nullable: true
        sacados:
          type: array
          items: {}
          description: Sacados associadas
          nullable: true
    PoliticaTaxaRecuperarResponse:
      required:
        - id
        - nome
        - taxa
        - float
        - adValorem
        - revisao
        - ativo
      type: object
      properties:
        id:
          type: string
          description: Id da política de taxa
          nullable: true
        nome:
          type: string
          description: Nome da política de taxa
          nullable: true
        taxa:
          type: number
          description: Valor da taxa da política de taxa
          format: double
        float:
          type: number
          description: Valor do float da política de taxa
          format: double
        adValorem:
          type: number
          description: Valor do ad valorem da política de taxa
          format: double
        revisao:
          type: string
          description: Data da revisão da política de taxa
          format: date-time
          nullable: true
        ativo:
          type: boolean
          description: Indica se a política de taxa está ativo ou não
    AgendamentoRevisaoRequest3:
      required:
        - notificar
        - revisao
        - diasAntecedencia
      type: object
      properties:
        notificar:
          type: boolean
          description: Indica se vai haver notificação ou não
        revisao:
          type: string
          description: Data da revisão
          format: date-time
          nullable: true
        diasAntecedencia:
          type: integer
          description: Dias em que a notificação deve ser iniciada
          format: int32
          nullable: true
      description: Data da revisão da política de taxa
      nullable: true
    PoliticaTaxaAssociacaoItemRequest:
      required:
        - ids
        - ativo
      type: object
      properties:
        ids:
          type: array
          items:
            type: string
          description: Array de ids associados a política de taxa
          nullable: true
        ativo:
          type: boolean
          description: Indica que a associação está ativa ou não
      description: Empresas associadas e indicação se está ativa ou não
      nullable: true
    PoliticaTaxaAssociacaoItemRequest2:
      required:
        - ids
        - ativo
      type: object
      properties:
        ids:
          type: array
          items:
            type: string
          description: Array de ids associados a política de taxa
          nullable: true
        ativo:
          type: boolean
          description: Indica que a associação está ativa ou não
      description: Grupos empresariais associados e indicação se está ativa ou não
      nullable: true
    PoliticaTaxaAssociacaoItemRequest3:
      required:
        - ids
        - ativo
      type: object
      properties:
        ids:
          type: array
          items:
            type: string
          description: Array de ids associados a política de taxa
          nullable: true
        ativo:
          type: boolean
          description: Indica que a associação está ativa ou não
      description: Cedentes associados e indicação se está ativa ou não
      nullable: true
    PoliticaTaxaAssociacaoItemRequest4:
      required:
        - ids
        - ativo
      type: object
      properties:
        ids:
          type: array
          items:
            type: string
          description: Array de ids associados a política de taxa
          nullable: true
        ativo:
          type: boolean
          description: Indica que a associação está ativa ou não
      description: Sacados associados e indicação se está ativa ou não
      nullable: true
    NullableOfTipoOperacaoEnum5:
      type: integer
      description: Tipos de operação da política de taxa
      nullable: true
    PoliticaTaxaAssociacaoTipoOperacaoRequest:
      required:
        - tipo
        - ativo
      type: object
      properties:
        tipo:
          $ref: '#/components/schemas/NullableOfTipoOperacaoEnum5'
        ativo:
          type: boolean
          description: Indica que a associação de tipos de operação está ativa ou não
      description: Tipos de operação associados e indicação se está ativa ou não
      nullable: true
    NullableOfTipoAtivoEnum5:
      type: integer
      description: Tipos de ativo da política de taxa
      nullable: true
    PoliticaTaxaAssociacaoTipoAtivoRequest:
      required:
        - tipo
        - ativo
      type: object
      properties:
        tipo:
          $ref: '#/components/schemas/NullableOfTipoAtivoEnum5'
        ativo:
          type: boolean
          description: Indica que a associação de tipos de ativo está ativa ou não
      description: Tipos de ativo associados e indicação se está ativa ou não
      nullable: true
    PoliticaTaxaAssociacaoRequest:
      required:
        - empresa
        - grupoEmpresarial
        - cedente
        - sacado
        - tipoOperacao
        - tipoAtivo
      type: object
      properties:
        empresa:
          $ref: '#/components/schemas/PoliticaTaxaAssociacaoItemRequest'
        grupoEmpresarial:
          $ref: '#/components/schemas/PoliticaTaxaAssociacaoItemRequest2'
        cedente:
          $ref: '#/components/schemas/PoliticaTaxaAssociacaoItemRequest3'
        sacado:
          $ref: '#/components/schemas/PoliticaTaxaAssociacaoItemRequest4'
        tipoOperacao:
          $ref: '#/components/schemas/PoliticaTaxaAssociacaoTipoOperacaoRequest'
        tipoAtivo:
          $ref: '#/components/schemas/PoliticaTaxaAssociacaoTipoAtivoRequest'
      description: Associações da política de taxa
      nullable: true
    PoliticaTaxaCadastrarRequest:
      required:
        - nome
        - taxa
        - float
        - adValorem
        - ativo
        - revisao
        - associacoes
      type: object
      properties:
        nome:
          type: string
          description: Nome da política de taxa
          nullable: true
        taxa:
          type: number
          description: Valor do taxa da política de taxa
          format: double
        float:
          type: number
          description: Valor do float da política de taxa
          format: double
        adValorem:
          type: number
          description: Valor do ad valorem da política de taxa
          format: double
        ativo:
          type: boolean
          description: Indica se a política de taxa está ativo ou não
        revisao:
          $ref: '#/components/schemas/AgendamentoRevisaoRequest3'
        associacoes:
          $ref: '#/components/schemas/PoliticaTaxaAssociacaoRequest'
    AgendamentoRevisaoResponse3:
      required:
        - notificar
        - revisao
        - diasAntecedencia
      type: object
      properties:
        notificar:
          type: boolean
          description: Indica se vai haver notificação ou não
        revisao:
          type: string
          description: Data da revisão
          format: date-time
        diasAntecedencia:
          type: integer
          description: Dias em que a notificação deve ser iniciada
          format: int32
          nullable: true
      description: Revisão da política de taxa
      nullable: true
    PoliticaTaxaRecuperarPorIdResponse:
      required:
        - id
        - nome
        - taxa
        - float
        - adValorem
        - ativo
        - tiposOperacao
        - tiposAtivo
        - associacaoEmpresaAtivo
        - associacaoGrupoEmpresarialAtivo
        - associacaoCedenteAtivo
        - associacaoSacadoAtivo
        - associacaoTipoOperacaoAtivo
        - associacaoTipoAtivoAtivo
      type: object
      properties:
        id:
          type: string
          description: Id da política de taxa
          nullable: true
        nome:
          type: string
          description: Nome da política de taxa
          nullable: true
        taxa:
          type: number
          description: Valor da taxa da política de taxa
          format: double
        float:
          type: number
          description: Valor do float da política de taxa
          format: double
        adValorem:
          type: number
          description: Valor do ad valorem da política de taxa
          format: double
        ativo:
          type: boolean
          description: Indica se a política de taxa está ativo ou não
        tiposOperacao:
          $ref: '#/components/schemas/NullableOfTipoOperacaoEnum5'
        tiposAtivo:
          $ref: '#/components/schemas/NullableOfTipoAtivoEnum5'
        associacaoEmpresaAtivo:
          type: boolean
          description: Empresas associadas e indicação se está ativa ou não
        associacaoGrupoEmpresarialAtivo:
          type: boolean
          description: Grupos empresariais associados e indicação se está ativa ou não
        associacaoCedenteAtivo:
          type: boolean
          description: Cedentes associados e indicação se está ativa ou não
        associacaoSacadoAtivo:
          type: boolean
          description: Sacados associados e indicação se está ativa ou não
        associacaoTipoOperacaoAtivo:
          type: boolean
          description: Tipos de operação associados e indicação se está ativa ou não
        associacaoTipoAtivoAtivo:
          type: boolean
          description: Tipos de ativo associados e indicação se está ativa ou não
        revisao:
          $ref: '#/components/schemas/AgendamentoRevisaoResponse3'
    PoliticaTaxaAlterarRequest:
      required:
        - nome
        - taxa
        - float
        - adValorem
        - ativo
        - revisao
        - associacoes
      type: object
      properties:
        id:
          type: string
          description: Id da política de taxa
          nullable: true
        nome:
          type: string
          description: Nome da política de taxa
          nullable: true
        taxa:
          type: number
          description: Valor do taxa da política de taxa
          format: double
        float:
          type: number
          description: Valor do float da política de taxa
          format: double
        adValorem:
          type: number
          description: Valor do ad valorem da política de taxa
          format: double
        ativo:
          type: boolean
          description: Indica se a política de taxa está ativo ou não
        revisao:
          $ref: '#/components/schemas/AgendamentoRevisaoRequest3'
        associacoes:
          $ref: '#/components/schemas/PoliticaTaxaAssociacaoRequest'
    PoliticaTaxaRecuperarAtivoResponse:
      required:
        - id
        - nome
      type: object
      properties:
        id:
          type: string
          description: Id da política de taxa
          nullable: true
        nome:
          type: string
          description: Nome da política de taxa
          nullable: true
    NullableOfTipoOperacaoEnum6:
      type: integer
      description: Id da política de taxa
      nullable: true
    NullableOfTipoAtivoEnum6:
      type: integer
      description: Id da política de taxa
      nullable: true
    PoliticaTaxaAssociacaoItemResponse:
      required:
        - id
        - nome
      type: object
      properties:
        id:
          type: string
          description: Id da associação da política de taxa
          nullable: true
        nome:
          type: string
          description: Nome da associação da política de taxa
          nullable: true
    PoliticaTaxaRecuperarAssociacaoResponse:
      required:
        - tiposOperacao
        - tipoAtivo
      type: object
      properties:
        tiposOperacao:
          $ref: '#/components/schemas/NullableOfTipoOperacaoEnum6'
        tipoAtivo:
          $ref: '#/components/schemas/NullableOfTipoAtivoEnum6'
        empresas:
          type: array
          items:
            $ref: '#/components/schemas/PoliticaTaxaAssociacaoItemResponse'
          description: Empresas associadas
          nullable: true
        gruposEmpresariais:
          type: array
          items: {}
          description: Grupos empresariais associadas
          nullable: true
        cedentes:
          type: array
          items: {}
          description: Cedentes associadas
          nullable: true
        sacados:
          type: array
          items: {}
          description: Sacados associadas
          nullable: true
    RamoResponse:
      required:
        - id
        - nome
        - ativo
      type: object
      properties:
        id:
          type: string
          description: Id do ramo
          nullable: true
        nome:
          type: string
          description: Nome do ramo
          nullable: true
        ativo:
          type: boolean
          description: Indica se o ramo está ativo ou não
    RamoCadastrarRequest:
      required:
        - nome
        - ativo
      type: object
      properties:
        nome:
          type: string
          description: Nome do ramo
          nullable: true
        ativo:
          type: boolean
          description: Indica se o ramo está ativo ou não
    RamoCadastrarResponse:
      required:
        - id
      type: object
      properties:
        id:
          type: string
          description: Id do ramo
          nullable: true
    RamoAtivosResponse:
      required:
        - id
        - nome
      type: object
      properties:
        id:
          type: string
          description: Id do ramo
          nullable: true
        nome:
          type: string
          description: Nome do ramo
          nullable: true
    RamoAlterarRequest:
      required:
        - nome
        - ativo
      type: object
      properties:
        nome:
          type: string
          description: Nome do ramo
          nullable: true
        ativo:
          type: boolean
          description: Indica se o ramo está ativo ou não
    SetorResponse:
      required:
        - id
        - nome
        - descricao
        - ativo
      type: object
      properties:
        id:
          type: string
          description: Id do setor
          nullable: true
        nome:
          type: string
          description: Nome do setor
          nullable: true
        descricao:
          type: string
          description: Descrição do setor
          nullable: true
        ativo:
          type: boolean
          description: Indica se o setor está ativo ou não
    SetorAlterarRequest:
      required:
        - nome
        - descricao
        - ativo
      type: object
      properties:
        nome:
          type: string
          description: Nome do setor
          nullable: true
        descricao:
          type: string
          description: Descrição do setor
          nullable: true
        ativo:
          type: boolean
          description: Indica se o setor está ativo ou não
    SetorAtivoResponse:
      required:
        - id
        - nome
      type: object
      properties:
        id:
          type: string
          description: Id do setor
          nullable: true
        nome:
          type: string
          description: Nome do setor
          nullable: true
    SetorCadastrarRequest:
      required:
        - nome
        - descricao
        - ativo
      type: object
      properties:
        nome:
          type: string
          description: Nome do setor
          nullable: true
        descricao:
          type: string
          description: Descrição do setor
          nullable: true
        ativo:
          type: boolean
          description: Indica se o setor está ativo ou não
    TipoEmpresaEnum:
      type: integer
      description: Tipo de Empresa
    ListarEmpresasResponse:
      required:
        - id
        - apelido
        - nomeFantasia
        - cnpj
        - tipo
        - ativo
        - principal
        - cadastro
      type: object
      properties:
        id:
          type: string
          description: Id da Pessoa Jurídica
          nullable: true
        apelido:
          type: string
          description: Apelido da Pessoa Jurídica
          nullable: true
        nomeFantasia:
          type: string
          description: Nome Fantasia
          nullable: true
        cnpj:
          type: string
          description: CNPJ
          nullable: true
        tipo:
          $ref: '#/components/schemas/TipoEmpresaEnum'
        ativo:
          type: boolean
          description: Determina se está Ativo
        principal:
          type: boolean
          description: Indica se é Empresa Princial
        cadastro:
          type: string
          description: Tipo Empresa
          format: date-time
    TipoPessoaEnum:
      type: integer
      description: Indica o tipo de pessoa
    TenantSacadoRecuperarResponse:
      required:
        - tipo
        - cpfCnpj
        - ativo
        - dataCadastro
        - id
        - nome
        - apelido
      type: object
      properties:
        tipo:
          $ref: '#/components/schemas/TipoPessoaEnum'
        cpfCnpj:
          type: string
          description: Cpf ou Cnpj do sacado
          nullable: true
        ativo:
          type: boolean
          description: Indica se o sacado está ativo ou não
        dataCadastro:
          type: string
          description: Data da criação do sacado
          format: date-time
        id:
          type: string
          description: Id do sacado
          nullable: true
        nome:
          type: string
          description: Nome do sacado
          nullable: true
        apelido:
          type: string
          description: Apelido do sacado
          nullable: true
  headers:
    Authorization:
      required: true
      schema:
        type: string
        description: Token necessário para autenticação
    x-tenant-id:
      required: true
      schema:
        type: string
        description: ID do locatário para identificação
tags:
  - name: Cargos
    description: "Este conjunto de recursos permite a manipulação e consulta de dados de cargos no sistema:\r\n\r\n                *   **Cadastrar Cargo:**\r\n                    *   Cria um novo cargo no sistema.\r\n                *   **Alterar Cargo:**\r\n                    *   Atualiza os dados de um cargo existente pelo seu identificador.\r\n                *   **Listar Cargos:**\r\n                    *   Recupera todos os cargos com opções de filtragem por nome e paginação.\r\n                *   **Consultar Cargo por ID:**\r\n                    *   Busca um cargo específico pelo seu identificador único.\r\n                *   **Listar Cargos Ativos:**\r\n                    *   Recupera somente os cargos que estão ativos no sistema."
  - name: Feriados
    description: "Este conjunto de recursos permite a administração de feriados:\r\n\r\n                *   **Cadastrar Feriado:**\r\n                    *   Cria um novo feriado na base de dados.\r\n                *   **Alterar Feriado:**\r\n                    *   Atualiza os dados de um feriado existente pelo seu identificador.\r\n                *   **Listar Feriados:**\r\n                    *   Lista todos os feriados com opções de filtragem por data, nome, UF, município e paginação.\r\n                *   **Consultar Feriado por ID:**\r\n                    *   Recupera um feriado específico pelo seu identificador.\r\n                *   **Listar Feriados Ativos:**\r\n                    *   Lista apenas os feriados ativos com base em uma data de referência e período específico."
  - name: Grupos Empresariais
    description: "Este conjunto de recursos permite a administração de grupos empresariais:\r\n\r\n                *   **Cadastrar Grupo Empresarial:**\r\n                    *   Cria um novo grupo empresarial.\r\n                *   **Alterar Grupo Empresarial:**\r\n                    *   Atualiza os dados de um grupo empresarial existente.\r\n                *   **Listar Grupos Empresariais:**\r\n                    *   Lista todos os grupos empresariais com opções de filtragem por nome, cedente/sacado e paginação.\r\n                *   **Consultar Grupo Empresarial por ID:**\r\n                    *   Recupera um grupo empresarial específico pelo seu identificador.\r\n                *   **Listar Grupos Empresariais Ativos:**\r\n                    *   Lista apenas os grupos empresariais ativos.\r\n                *   **Associar Cedente/Sacado:**\r\n                    *   Associa um cedente ou sacado a um grupo empresarial pela raiz do CNPJ."
  - name: Perfis
    description: "Este conjunto de recursos permite a administração de perfis de usuário:\r\n\r\n                *   **Cadastrar Perfil:**\r\n                    *   Cria um novo perfil no sistema.\r\n                *   **Alterar Perfil:**\r\n                    *   Atualiza as informações de um perfil existente.\r\n                *   **Listar Perfis:**\r\n                    *   Obtém todos os perfis com opções de filtragem por nome, nível, tipo de pessoa física e paginação.\r\n                *   **Consultar Perfil por ID:**\r\n                    *   Busca um perfil específico pelo seu identificador único.\r\n                *   **Listar Perfis Ativos:**\r\n                    *   Lista somente os perfis que estão ativos no sistema.\r\n                *   **Excluir Perfil:**\r\n                    *   Remove um perfil do sistema."
  - name: Politicas Checagens
    description: "Este conjunto de recursos permite a administração de políticas de checagens:\r\n\r\n                *   **Cadastrar Política de Checagem:**\r\n                    *   Cria uma nova política de checagem no tenant.\r\n                *   **Alterar Política de Checagem:**\r\n                    *   Atualiza os dados de uma política de checagem existente pelo seu identificador.\r\n                *   **Listar Políticas de Checagens:**\r\n                    *   Lista todas as políticas de checagens com opções de filtragem por nome, empresas, grupos empresariais, cedentes, sacados, tipos de operação/ativo e paginação.\r\n                *   **Consultar Política de Checagem por ID:**\r\n                    *   Recupera uma política de checagem específica pelo seu identificador.\r\n                *   **Listar Políticas de Checagens Ativas:**\r\n                    *   Lista apenas as políticas de checagens ativas do tenant.\r\n                *   **Listar por Empresa:**\r\n                    *   Lista políticas de checagens associadas a uma empresa específica.\r\n                *   **Listar por Cedente:**\r\n                    *   Lista políticas de checagens associadas a um cedente específico.\r\n                *   **Listar por Sacado:**\r\n                    *   Lista políticas de checagens associadas a um sacado específico.\r\n                *   **Listar por Grupo Empresarial:**\r\n                    *   Lista políticas de checagens associadas a um grupo empresarial específico.\r\n                *   **Consultar Associações:**\r\n                    *   Recupera os primeiros 10 nomes das empresas, grupos empresariais, cedentes e sacados associados a uma política de checagem.\r\n                *   **Excluir Política de Checagem:**\r\n                    *   Remove uma política de checagem do sistema."
  - name: Politicas Comissoes Agentes
    description: "Este conjunto de recursos permite a administração de políticas de comissões de agentes:\r\n\r\n                *   **Cadastrar Política de Comissão de Agente:**\r\n                    *   Cria uma nova política de comissão com configurações de cálculo, fórmulas personalizadas ou faixas de taxa, e vincula aos agentes especificados.\r\n                *   **Alterar Política de Comissão de Agente:**\r\n                    *   Atualiza os dados de uma política de comissão existente, incluindo nome, tipo de cálculo, fórmula e agentes vinculados.\r\n                *   **Consultar Política de Comissão por ID:**\r\n                    *   Recupera os dados detalhados de uma política de comissão específica, incluindo configurações de cálculo e agentes vinculados.\r\n                *   **Listar Políticas de Comissões de Agentes:**\r\n                    *   Lista todas as políticas de comissão com filtros opcionais por nome, agente, status e paginação.\r\n                *   **Listar Políticas de Comissões Ativas:**\r\n                    *   Lista apenas as políticas de comissão que estão ativas no tenant, com opção de filtro por nome e paginação."
  - name: Politicas
    description: "Este conjunto de recursos permite o gerenciamento de associações de políticas:\r\n\r\n                *   **Associar Política:**\r\n                    *   Associa uma política de limite, taxa, tarifa ou checagem à empresa, grupo empresarial, cedente ou sacado de um tenant.\r\n                *   **Desassociar Políticas:**\r\n                    *   Remove todas as associações de políticas de limite, taxa e checagem de uma empresa, grupo empresarial, cedente ou sacado específico."
  - name: Politicas Limites
    description: "Este conjunto de recursos permite a administração de políticas de limites:\r\n\r\n                *   **Cadastrar Política de Limite:**\r\n                    *   Cria uma nova política de limite no tenant.\r\n                *   **Alterar Política de Limite:**\r\n                    *   Atualiza os dados de uma política de limite existente pelo seu identificador.\r\n                *   **Listar Políticas de Limites:**\r\n                    *   Lista todas as políticas de limites com opções de filtragem por nome, empresas, grupos empresariais, cedentes, sacados, tipos de operação/ativo e paginação.\r\n                *   **Consultar Política de Limite por ID:**\r\n                    *   Recupera uma política de limite específica pelo seu identificador.\r\n                *   **Listar Políticas de Limites Ativas:**\r\n                    *   Lista apenas as políticas de limites ativas do tenant.\r\n                *   **Listar por Empresa:**\r\n                    *   Lista políticas de limites associadas a uma empresa específica.\r\n                *   **Listar por Cedente:**\r\n                    *   Lista políticas de limites associadas a um cedente específico.\r\n                *   **Listar por Sacado:**\r\n                    *   Lista políticas de limites associadas a um sacado específico.\r\n                *   **Listar por Grupo Empresarial:**\r\n                    *   Lista políticas de limites associadas a um grupo empresarial específico.\r\n                *   **Consultar Associações:**\r\n                    *   Recupera os primeiros 10 nomes das empresas, grupos empresariais, cedentes e sacados associados a uma política de limite.\r\n                *   **Excluir Política de Limite:**\r\n                    *   Remove uma política de limite do sistema."
  - name: Politicas Taxas
    description: "Este conjunto de recursos permite a administração de políticas de taxas:\r\n\r\n                *   **Cadastrar Política de Taxa:**\r\n                    *   Cria uma nova política de taxa no tenant.\r\n                *   **Alterar Política de Taxa:**\r\n                    *   Atualiza os dados de uma política de taxa existente pelo seu identificador.\r\n                *   **Excluir Política de Taxa:**\r\n                    *   Remove uma política de taxa do sistema.\r\n                *   **Listar Políticas de Taxas:**\r\n                    *   Lista todas as políticas de taxas com opções de filtragem por nome, empresas, grupos empresariais, cedentes, sacados, tipos de operação/ativo e paginação.\r\n                *   **Consultar Política de Taxa por ID:**\r\n                    *   Recupera uma política de taxa específica pelo seu identificador.\r\n                *   **Listar Políticas de Taxas Ativas:**\r\n                    *   Lista apenas as políticas de taxas ativas do tenant.\r\n                *   **Listar por Empresa:**\r\n                    *   Lista políticas de taxas associadas a uma empresa específica.\r\n                *   **Listar por Cedente:**\r\n                    *   Lista políticas de taxas associadas a um cedente específico.\r\n                *   **Listar por Sacado:**\r\n                    *   Lista políticas de taxas associadas a um sacado específico.\r\n                *   **Listar por Grupo Empresarial:**\r\n                    *   Lista políticas de taxas associadas a um grupo empresarial específico.\r\n                *   **Consultar Associações:**\r\n                    *   Recupera os primeiros 10 nomes das empresas, grupos empresariais, cedentes e sacados associados a uma política de taxa."
  - name: Ramos
    description: "Este conjunto de recursos permite a administração de ramos de atividade:\r\n\r\n                *   **Cadastrar Ramo:**\r\n                    *   Cria um novo ramo em um tenant.\r\n                *   **Alterar Ramo:**\r\n                    *   Atualiza os dados de um ramo existente em um tenant.\r\n                *   **Listar Ramos:**\r\n                    *   Obtém todos os ramos de um tenant com opções de filtragem por nome e paginação.\r\n                *   **Consultar Ramo por ID:**\r\n                    *   Busca um ramo específico de um tenant pelo seu identificador único.\r\n                *   **Listar Ramos Ativos:**\r\n                    *   Lista somente os ramos ativos de um tenant, ideais para utilização em listas de seleção."
  - name: Setores
    description: "Estes recursos são dedicados ao gerenciamento de setores:\r\n\r\n                *   **Cadastrar Setor:**\r\n                    *   Cria um novo setor no sistema.\r\n                *   **Alterar Setor:**\r\n                    *   Atualiza os dados de um setor existente.\r\n                *   **Excluir Setor:**\r\n                    *   Remove um setor do sistema.\r\n                *   **Listar Setores:**\r\n                    *   Obtém todos os setores com opções de filtragem por nome, descrição e paginação.\r\n                *   **Consultar Setor por ID:**\r\n                    *   Busca um setor específico pelo seu identificador único.\r\n                *   **Listar Setores Ativos:**\r\n                    *   Lista somente os setores ativos, ideais para utilização em listas de seleção."
